#
# spec file for package yast2-printer
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-printer
Version:        5.0.0
Release:        1.7
Summary:        YaST2 - Printer Configuration
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-printer
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-libX11-devel
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 4.4.0
Requires:       %{_bindir}/sed
Requires:       /bin/mktemp
Requires:       yast2 >= 3.1.183
Requires:       yast2-ruby-bindings >= 1.0.0
Recommends:     cups-client
Recommends:     iptables
Recommends:     netcat
Recommends:     samba-client
Supplements:    autoyast(printer)
Obsoletes:      yast2-printer-devel-doc

# Exclude libX11 from the requires list which is pulled in by Autoreqprov
# because of the basicadd_displaytest tool
%global __requires_exclude_from basicadd_displaytest

%description
This package contains the YaST2 component for printer configuration.

%prep
%setup -q

%build
%yast_build

%install
%yast_install
%yast_metainfo

%files
%license COPYING
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_moduledir}
%{yast_clientdir}
%{yast_yncludedir}
%{yast_schemadir}
%{yast_ydatadir}
%{yast_ybindir}
%{yast_icondir}

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Fri Sep  9 2022 Michal Filka <mfilka@suse.com>
- bsc#1203227
  - Replaced egrep with grep -E.
- 4.5.2
* Tue Jul 19 2022 Ladislav Slezák <lslezak@suse.cz>
- Removed the libX11 dependency (bsc#1201641)
  (the old mechanism for that did not work anymore, use
  %%__requires_exclude_from)
- 4.5.1
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Tue Feb  1 2022 David Diaz <dgonzalez@suse.com>
- Fix broken help text (by @TarasPanchenko Github user, bsc#1195370)
- 4.4.2
* Tue Apr 20 2021 Dirk Müller <dmueller@suse.com>
- stop packaging docdir, it only contained the license which
  is now in licensedir (bsc#1184897)
- spec file cleanups
- 4.4.1
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0
* Mon Aug 10 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(printer) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.2
* Tue Jun 30 2020 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- AutoYaST: do not export printer settings if CUPS is disabled
  (bsc#1172749).
- 4.3.1
* Tue May 12 2020 josef Reidinger <jreidinger@localhost>
- Autoyast schema: Allow optional types for string and map objects
  (bsc#1170886)
- 4.3.0
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Thu Mar 21 2019 Stefan Hundhammer <shundhammer@suse.com>
- Security hardening (bsc#1118291)
- 4.1.1
* Tue Feb 26 2019 José Iván López González <jlopez@suse.com>
- Version bump (bsc#1124009)
- 4.1.0
* Sun Nov 25 2018 Noah Davis <noahadvs@gmail.com>
- Provide icon with module (boo#1109310)
- 4.0.3
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.
* Fri May 25 2018 schubi@suse.de
- Fixed alignment of input fields in "Connection Wizard".
  (bnc#1091290)
- 4.0.2
* Thu Apr 19 2018 igonzalezsosa@suse.com
- Fix help texts so they can be properly translated (bsc#1082257).
- 4.0.1
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Mon Jan 23 2017 lslezak@suse.cz
- Dropped yast2-core-devel build dependency, it is not needed
  anymore, fix up for the documentation removal (fate#320356)
- 3.2.0
* Wed Jun  1 2016 igonzalezsosa@suse.com
- Drop yast2-printer-devel-doc package (fate#320356)
- 3.1.6
* Wed May 18 2016 mchandras@suse.de
- Remove /bin/ping dependency. All references to 'ping' have been
  removed in 3.1.2. This allows us to not depend to iputils anymore.
- 3.1.5
* Mon Apr  4 2016 schubi@suse.de
- Using "uptime" from package yast2 instead of Builtins.time.
  Cleanup for bnc#956730.
- 3.1.4
* Mon Dec 21 2015 lslezak@suse.cz
- Use the correct RPM Group (System/YaST) (bsc#951817)
- 3.1.3
* Thu Oct  1 2015 jreidinger@suse.com
- clean up patches and integrate it in git repositories
- 3.1.2
* Mon Jan 19 2015 jsmeix@suse.de
- disable_legacy_items_and_add_beh_requirement.diff
  disables legacy stuff for SLE12 (see comment#18 in bnc#871548
  and for other legacy stuff see bnc#892395 and bnc#877520) and
  furthermore it adds the cups-backends RPM as needed package
  when using beh (beh = Backend Error Handler).
* Mon Jan 19 2015 jsmeix@suse.de
- restart_cupsd_when_driver_RPMs_changed.diff shows the
  "Restart locally running CUPS daemon" user confirmation popup
  because usually a change in printer driver RPMs (installation
  or removal) changes print job processing which requires
  a restart of cupsd (bnc#888782).
* Mon Jan 19 2015 jsmeix@suse.de
- In replace_network_test_with_echo.diff replace the therein new
  string "Server name must not be empty" by the elsewhere existing
  string "Servername could not be empty." that exists already
  in the list of translated strings so that its translation
  is shown in non-English locales (bnc#887562).
* Mon Jan 19 2015 jsmeix@suse.de
- Added timeouts to cups_client_only.for_cups_since_version_1.6,
  replace_network_test_with_echo.diff, test_remote_ipp.without_ping,
  test_remote_lpd.without_ping, and test_remote_socket.without_ping
  (i.e. all test that run "echo -n '' >/dev/tcp/$SERVER/$PORT")
  so that those tests exit in any case after 2 seconds and do no
  longer hang in possibly annoying long default system timeouts
  in "unfriendly" network environments e.g. when a firewall
  drops packages without any response (fate#312491).
- Added "/version=1.1" support to test_remote_ipp.without_ping
  see the entry dated "Tue Apr 29 15:00:04 CEST 2014" below
  (bnc#868241).
* Mon Jan 19 2015 jsmeix@suse.de
- use_fast_append_instead_of_slow_add.diff replaces
  slow Builtins.add() with fast '<<' append operator
  where needed to avoid "hang up impression" (bnc#877516).
* Mon Jan 19 2015 jsmeix@suse.de
- test_remote_ipp.without_ping, test_remote_lpd.without_ping,
  test_remote_novell.without_ping, test_remote_smb.without_ping,
  and test_remote_socket.without_ping are replacements for
  test_remote_ipp, test_remote_lpd, test_remote_novell,
  test_remote_smb and test_remote_socket in /usr/lib/YaST2/bin/
  that do no longer use 'ping' so that there is no need to
  distinguish between IPv4 and IPv6 and there is no longer
  a requirement for 'netcat' (fate#312491).
- Adapted cups_client_only.for_cups_since_version_1.6 so that
  it also does no longer use 'ping' or 'netcat' (fate#312491).
* Mon Jan 19 2015 jsmeix@suse.de
- cups_client_only.for_cups_since_version_1.6 is an enhancement
  for /usr/lib/YaST2/bin/cups_client_only that provides additional
  support when on a CUPS >= 1.6 client system a CUPS <= 1.5 server
  should be used via "ServerName <name>/version=1.1" (bnc#868241).
- Enhanced modify_cupsd_conf.for_cups-browsed which now has
  support when cups-browsed should poll CUPS <= 1.5 servers
  via "BrowsePoll <name>/version=1.1" (bnc#868241).
* Mon Jan 19 2015 jsmeix@suse.de
- Enhanced modify_cupsd_conf.for_cups-browsed which now has
  some basic support for what was BrowseAddress up to CUPS 1.5.4
  via BrowseLocalProtocols settings for cups-browsed (bnc#868241).
* Mon Jan 19 2015 jsmeix@suse.de
- modify_cupsd_conf.for_cups-browsed is an enhancement
  for /usr/lib/YaST2/bin/modify_cupsd_conf that provides
  additional support for cups-browsed (bnc#868241).
* Mon Jan 19 2015 jsmeix@suse.de
- replace_network_test_with_echo.diff implements
  IPv6 support for YaST printer module (fate#312491).
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
- apply test_if_hplip_is_installed.diff upstream
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Fri Sep 13 2013 jsmeix@suse.de
- test_if_hplip_is_installed.diff is a simple band-aid patch
  to avoid that the AddDriverDialog works inconsistently
  regarding HPLIP RPMs (see bnc#837770).
  The real solution will be implemented later according
  to what is described in bnc#808315 comment#3.
* Wed Sep 11 2013 jsmeix@suse.de
- Using newest yast2-printer-3.0.0.tar.bz2 from YaST:Head
  that differs only in autodocs-ycp.ami configure configure.ac
  doc/autodocs/Makefile.in Makefile.am.common src/Makefile.in
  (i.e. no changes in the actual program's source code files).
* Thu Aug  1 2013 jsmeix@suse.de
- Re-added the changelog entry dated "Thu Sep 20 12:41:03 UTC 2012"
  that was somehow removed by the previous change that is
  dated "Wed Jul 31 08:37:43 UTC 2013" (the License value
  in the spec file is still correct).
- Removed a changelog entry that reads "merged proofread texts"
  dated "Thu Mar 29 15:42:29 CEST 2012 - jsuchome@suse.cz"
  that was somehow falsely added by the change
  dated "Wed Jul 31 08:37:43 UTC 2013".
- Re-set the main-package Group back to "System/YaST"
  that was somehow changed to "Documentation/SUSE"
  by the change dated "Wed Jul 31 08:37:43 UTC 2013"
  (only the Group for the devel-doc sub-package should
  be "Documentation/SUSE").
- The change dated "Wed Jul 31 08:37:43 UTC 2013" results
  that the package now only builds for openSUSE_Factory.
  Before it had built in its openSUSE development project
  "Printing" for SLE_11 SLE_11_SP1 SLE_11_SP2 openSUSE_12.1
  openSUSE_12.2 openSUSE_12.3 and openSUSE_Tumbleweed.
  The version before is still available in the "Printing"
  project as source package "yast2-printer-YCP" and its
  binary "yast2-printer" RPMs have version 2.23.1 (see
  the entry dated "Wed May  9 15:49:23 CEST 2012" below).
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Thu Sep 20 2012 cfarrell@suse.com
- license update: GPL-2.0
  SPDX format
* Wed May  9 2012 jsmeix@suse.de
- In create_printer_ppd_database re-replace "usleep 100"
  by the old traditional "sleep 1" to avoid a RPM requirement
  for the package sysvinit or sysvinit-tools which provides
  /bin/usleep. Furthermore using usleep would need more changes
  so that the whole progress in create_printer_ppd_database works
  again o.k. even if there is not yet a /var/cache/cups/ppds.dat.
- 2.23.1
* Wed May  9 2012 jsmeix@suse.de
- Adapted it for "hplip-sane" (bnc#726316).
- Updated HTTP URLs (bnc#732271).
- Using ButtonBox widget (bnc#701263).
- Fixed DownloadProgress error (bnc#748884).
- Enhanced progress in create_printer_ppd_database (using usleep)
  and adapted expected progress file size in Printer.ycp.
- 2.23.0
* Thu Jan 12 2012 coolo@suse.com
- add an explicit GPL-2.0 license to the spec file template
* Fri Oct  7 2011 jsmeix@suse.de
- Added new driver "epson-inkjet-printer-escpr"
  to the "Add Driver" dialog (bnc#722625).
- Fixed typos in help texts (bnc#703201).
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- Removed "X-KDE-RootOnly=true" from printer.desktop (bnc#681249).
* Thu Feb 10 2011 jsmeix@suse.de
- Be backward compatible in the "Driver Packages" dialog
  regarding OpenPrintingPPDs-ghostscript and cups-drivers:
  It tries first to install OpenPrintingPPDs-ghostscript
  but if this fails it tries to install cups-drivers
  and it removes both OpenPrintingPPDs-ghostscript and
  cups-drivers if installed.
- 2.20.8
* Fri Feb  4 2011 jsmeix@suse.de
- Fixed the automatic configuration in printer_proposal.ycp
  so that it waits until config files have been actually updated.
- Enhanced the "Automatic Configuration" dialog so that
  the user can trigger that the automatic configuration
  via printer_proposal.ycp is run.
- 2.20.7
* Tue Jan 25 2011 jsmeix@suse.de
- Adapted the "Driver Packages" dialog because the package
  "cups-drivers-splix" is renamed to "splix" for openSUSE 11.4
  (see Novell/openSUSE Bugzilla bnc#659579).
  To be backward compatible it tries first to install "splix"
  but if this fails it tries to install "cups-drivers-splix"
  and it removes both splix and cups-drivers-splix if installed
  (see Novell/openSUSE Bugzilla bnc#642510).
- 2.20.6
* Wed Jan 19 2011 jsmeix@suse.de
- Rework the "Autoconfig Settings" dialog and drop the support for
  cups-autoconfig which is no longer available since openSUSE 11.2
  (see Novell/openSUSE Bugzilla bnc#665445).
- Avoid leftover buttons with WidgetID "`abort" when
  other YaST modules have been run from yast2-printer.
  E.g. when the YaST package installer is run via
  Package::Install(package_name) it leaves a misused
  "abort" button which is labeled "Skip Autorefresh".
  Clicking this leftover button in yast2-printer would
  cause a sudden abort of the whole yast2-printer module.
- 2.20.5
* Tue Jan 11 2011 jsmeix@suse.de
- Added support for samba-krb-printing to set up printing
  in a kerberized Windows Active Directory (AD) environment
  (see Novell/openSUSE Bugzilla bnc#661845).
- 2.20.4
* Tue Oct 26 2010 jsmeix@novell.com
- Adapted "Driver Packages" dialog for current RPMs:
  Removed CheckBoxes for cups-drivers and ghostscript-omni.
  Added CheckBoxes for OpenPrintingPPDs-ghostscript,
  OpenPrintingPPDs-hpijs, OpenPrintingPPDs-postscript,
  cups-drivers-splix, and m2300w
  (see Novell/openSUSE Bugzilla bnc#642510).
- 2.20.3
* Thu Sep 23 2010 jsmeix@suse.de
- Replaced Popup::TimedMessage while "Updating configuration files"
  with a nicer looking animated ProgressBar widget
  (see Novell/openSUSE Bugzilla bnc#640547).
- Changed the numbers for DownloadProgress to multiple of 1024
  to get nicer looking "nnn.0 KB" texts in the Gtk UI.
- Fixed some typos in texts at various places.
- 2.20.2
* Wed Aug 18 2010 jsmeix@suse.de
- Added a "Use as Default" check-box below the input field for
  the queue name in the "Add" dialog and enhanced its help text
  accordingly (see Novell/openSUSE Bugzilla bnc#631263).
- 2.20.1
* Tue Aug 10 2010 jsmeix@suse.de
- Added testprint.2pages.ps and enhanced test page printing
  in overview.ycp to let the user choose to print one (default)
  or two pages test print e.g. to test duplex printing
  (see Novell/Suse Bugzilla bnc#629160).
- Enhanced texts in popups regarding firewall so that they
  can no longer be misunderstood to open ports
  (see Novell/Suse Bugzilla bnc#627799).
- Enhanced the help text regarding possible drawback (delays
  if CUPS server does not respond) for a "client only" config.
- 2.20.0
* Thu Jul  1 2010 jsmeix@suse.de
- Enhanced the test_* tools to do the most meaningful test first
  so that ICMP echo (ping) is no longer required in any case
  (see Novell/Suse Bugzilla bnc#616706).
- 2.19.14
* Wed Jun 23 2010 jsmeix@suse.de
- In autodetect_print_queues replace each " character by \" in
  the YCP output for the print queue description and location
  strings (see Novell/Suse Bugzilla bnc#616687).
- 2.19.13
* Wed Jun  2 2010 jsmeix@suse.de
- In Printer.ycp and helps.ycp fixed the text strings therein
  which still refer to the old button labels before they
  have been renamed in version 2.19.3 and 2.19.4
  (see Novell/Suse Bugzilla bnc#610724).
- In the driver options dialog replaced the awkward way in the
  DriverOptionItems function how the currently selected value
  was shown by a more clean way via plain text addendums which has
  the advantage that now both the current setting in the system
  and the currently selected value can be shown to the user
  (see Novell/Suse Bugzilla bnc#603182).
- 2.19.12
* Wed May 19 2010 jsmeix@suse.de
- Added 'Settings;System' to the Categories in printer.desktop
  so that it will show up at the right place on all desktop
  environments in particular for the LXDE/XFCE menu
  (see Novell/Suse Bugzilla bnc#607047).
- 2.19.11
* Thu May  6 2010 jsmeix@suse.de
- yast2-printer can launch hp-setup to set up HP devices.
  When hp-setup has finished, it is likely that a new print queue
  was created by it and therefore basicadd.ycp should call
  Printerlib::WaitForUpdatedConfigFiles after hp-setup finished
  (see Novell/Suse Bugzilla bnc#603247).
- 2.19.10
* Thu Apr 29 2010 jsmeix@suse.de
- Do no longer show positive feedback in TestClientOnlyServer
  because this would cause annoying popups for the user
  because in most cases TestClientOnlyServer is called
  indirectly without a button click.
  Only show positive feedback in printingvianetwork.ycp
  when TestClientOnlyServer is called by the user when
  clicking the [Test Server] button.
- 2.19.9
* Fri Apr 23 2010 jsmeix@suse.de
- In overview.ycp added an initial responsive test if CUPS server
  is accessible by using the TestClientOnlyServer function
  which was moved from printingvianetwork.ycp to Printer.ycp
  and adapted so that it can be used both for overview.ycp and
  printingvianetwork.ycp (see Novell/Suse Bugzilla bnc#595612).
- Fixed English spelling in basicadd.ycp, basicmodify.ycp,
  and Printerlib.ycp (see Novell/Suse Bugzilla bnc#596526).
- In overview.ycp for testpage printing added "tail -n 20"
  when the CUPS error_log info is grepped to avoid a too
  tall popup which may show too many lines (in particular
  in case of the oververbose Gutenprint driver).
- In overview.ycp show a generic text when the user selected
  that testpage printing had failed for a local queue but
  there are no messages in /var/log/cups/error_log regarding
  the testpage print job.
- 2.19.8
* Tue Mar 30 2010 jsmeix@suse.de
- Further cleanup and enhancement of printer_auto.ycp:
  Added CreateBackupFile to backup /etc/cups/cupsd.conf
  and /etc/cups/client.conf before "Reset" and "Write".
  Added restart of local cupsd in "Change" if its config
  was reset to system defaults by "Reset" before.
  Made ReadFileContent safe against possible end of CDATA
  section strings "]]>" inside file contets.
- 2.19.7
* Thu Mar 18 2010 jsmeix@suse.de
- Major cleanup of the AutoYaST printer client printer_auto.ycp
  (see Novell/Suse Bugzilla bnc#588679):
  Now there is verbatim cupsd.conf and client.conf
  as XML CDATA in the AutoYaST control file.
  This results a new AutoYaST control file structure:
    <printer>
    <client_conf_content>
    <file_contents><![CDATA[
    ... verbatim content of /etc/cups/client.conf ...
    ]]></file_contents>
    </client_conf_content>
    <cupsd_conf_content>
    <file_contents><![CDATA[
    ... verbatim content of /etc/cups/cupsd.conf ...
    ]]></file_contents>
    </cupsd_conf_content>
    </printer>
  Provide a new src/printer.rnc to match the
  new AutoYaST control file structure.
- In src/printer.desktop added the line
  X-SuSE-YaST-AutoInstSchema=printer.rnc
  to pull in printer.rnc when yast2-schema is build
  (see Novell/Suse Bugzilla bnc#588998).
- In printer_proposal.ycp use Printer::DeriveModelName
  and Printer::DeriveDriverFilterString the same way
  as in basicadd.ycp so that the proposal results now
  the same queue setup as if the user would have just
  clicked [OK] in the BasicAddDialog.
- Prefer "manufacturer-PPD" over "recommended" PPD
  (see Novell/Suse Bugzilla bnc#589371).
- 2.19.6
* Wed Mar  3 2010 jsmeix@suse.de
- Fixed tools/autodetect_print_queues by testing for the
  positive "lpstat -r" output "scheduler is running"
  the same way as already implemented in src/Printerlib.ycp
  (bnc#584540).
- Fixed testpage printing in overview.ycp:
  When testpage printing failed, the queue may have
  become disabled so that a refresh of the overview content
  is needed (e.g. to show the new queue state).
  Added support to show the particular logging info
  in /var/log/cups/error_log for the testpage print job
  when the user clicked "Testpage printing failed".
- In CUPS version 1.5 SCSI printer support will be dropped,
  see http://www.cups.org/str.php?L3500
  i.e. the CUPS scsi backend will be dropped.
  Therefore in yast2-printer SCSI printer support is
  also dropped in connectionwizard.ycp and helps.ycp.
  Nevertheless because of the dropped scsi backend
  there is at least a user notification Popup::ErrorDetails
  if the scsi backend is used for a queue but there
  is no /usr/lib*/cups/backend/scsi (bnc#580121).
- In none of the bash scripts for yast2-printer bash globbing
  is needed. Actually in all those scripts no bash globbing
  should happen. Therefore I added to all those scripts
  a "set -f" line (bnc #575056).
- 2.19.5
* Fri Jan 22 2010 jsmeix@suse.de
- Fixed search usability in basicadd.ycp and basicmodify.ycp
  in each run of the user input while loop before UI::UserInput()
  by first replacing the [Search for] button with itself
  with `opt(`default) to enforce this default regardless
  whatever function call or UI bug (see bnc#558900)
  may have changed it and then additionally
  but only when the user is already searching drivers,
  set the focus to the InputField for the search string
  so that the user can just type in another search string.
  In contrast when the user is not already searching drivers,
  it is annoying in particular in the text-only ncurses UI
  when the focus becomes always set to the search string
  InputField for each run of the user input while loop.
- In basicadd.ycp and basicmodify.ycp re-rename
  the PushButton to launch the DriverAdd dialog
  from "Install Driver" to "Driver Packages"
  because the former can be confused by the user
  with the functionality what the [OK] button
  in basicadd.ycp and basicmodify.ycp does i.e. to
  install the print queue with the selected driver.
- Improved help text 'regarding firewall' and
  added link to 'SDB:CUPS and SANE Firewall settings' at
  http://en.opensuse.org/SDB:CUPS_and_SANE_Firewall_settings
- 2.19.4
* Tue Jan 19 2010 jsmeix@suse.de
- More meaningful wording in BasicAdd and BasicModify dialogs
  in particular the following PushButton renames:
  From "More Connections" to "Detect More",
  from "Search" to "Search for",
  from "More Drivers" to "Find More",
  from "Add Driver" to "Install Driver",
  from "Set Name" to "Set Arbitrary Name".
- 2.19.3
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Tue Dec 22 2009 jsmeix@suse.de
- Added percent encoding of URI values in the "Connection Wizard"
  (see Novell/Suse Bugzilla bnc#561626).
- Added support to launch 'hp-setup' from the BasicAdd dialog
  to provide setup support for HP printers which require
  a proprietary plugin to be downloaded and installed
  and better setup support for HP network printers and
  HP all-in-one devices (HP's own tool 'hp-setup' implements
  special handling for special HP devices better than YaST).
- 2.19.2
* Wed Dec  9 2009 jsmeix@suse.de
- An existing connection can be modified by the "Connection Wizard"
  which launches with a matching sub-dialog where the values
  of the existing connection are preset or it falls back to the
  "Specify Arbitrary Device URI" sub-dialog if the existing
  URI scheme does not match to a more specific sub-dialog
  (see Novell/Suse Bugzilla bnc#553871).
- Added support for current_queue_name and current_device_uri in
  Printer.ycp, overview.ycp, basicadd.ycp, and basicmodify.ycp
  which means that the currently used queue and/or connection
  is preselected in the Overview and/or  Add/Modify dialogs
  (i.e. there no longer only the default Table widget
  prelelection which preselects the topmost item).
- Replaced several duplicated code blocks in basicmodify.ycp,
  basicadd.ycp, and connectionwizard.ycp by calling the new
  added DeriveModelName and DeriveDriverFilterString functions
  in Printer.ycp.
- Added "bugfix-support" for username and password
  in ipp/http URIs and for username in lpd URIs.
  "Bugfix-support" means that there is no support
  to set up URIs with those stuff because the CUPS
  main author Michael Sweet really does not want to
  encourage its use but when it is already there
  in an existing URI, it is at least shown correctly.
  Usually username and password components for
  ipp/http and lpd URIs are shown in the matching
  "Connection Wizard" sub-dialog in the hostname field
  in the form username:password@hostname for ipp/http
  and username@hostname for lpd URIs
  (see Novell/Suse Bugzilla bnc#512549).
- Connection Wizard: test connection does no longer
  require printer manufacturer
  (see Novell/Suse Bugzilla bnc#536461).
- Enhanced error messages in the test_remote_* tools
  to indicate possible reasons for the error
  (see Novell/Suse Bugzilla bnc#553872).
- In Printer.ycp replaced "Detected printers"
  by "Printer detection finished"
  (see Novell/Suse Bugzilla bnc#533584).
- Added BrowsePoll support for "Print via Network"
  (see Novell/Suse Bugzilla bnc#433047).
- Added bugfixes and minor support for local classes:
  Local classes are shown as "class" (not as "remote")
  and one can delete a local class but there is no support
  to add or edit classes.
- 2.19.1
* Fri Oct 30 2009 jsmeix@suse.de
- Added a generic test if a firewall is used to Printerlib.ycp
  and if yes show popup info to the user regarding CUPS+firewall
  for the "Print via Network" and "Share Printers" dialogs
  (see Novell/Suse Bugzilla bnc#549065).
- 2.19.0
* Wed Aug  5 2009 jsmeix@suse.de
- In the Autoconfig dialog autoconfig.ycp added support for
  udev-configure-printer which replaces cups-autoconfig
  because cups-autoconfig is deprecated because
  cups-autoconfig uses HAL which is deprecated, see
  http://lists.freedesktop.org/archives/hal/2009-June/013429.html
  nevertheless cups-autoconfig is still supported too
  (see Novell/Suse Bugzilla bnc#526657).
- 2.18.19
* Tue Jul 28 2009 jsmeix@suse.de
- Be prepared for CUPS 1.4:
  * Since CUPS 1.4 'lpstat -r' results true even when scheduler
  is not running. Therefore we must now grep in its output for
  'scheduler is running' (see Novell/Suse Bugzilla bnc#520599).
  * Since CUPS 1.4 there is no longer a readymade PostScript
  testpage in CUPS. Therefore a slightly modified CUPS 1.3.10
  testprint.ps was added as /usr/share/YaST2/data/testprint.ps
  (see Novell/Suse Bugzilla bnc#520617).
  * Since CUPS 1.4 there are several seconds delay until cupsd
  writes config files like printers.conf which requires the
  new function Printerlib::WaitForUpdatedConfigFiles
  (see Novell/Suse Bugzilla bnc#520612).
  * At least in CUPS 1.4.rc1 a 'sleep 1' workaround is required
  to ensure that 'lpoptions -l' reports correct defaults
  (see Novell/Suse Bugzilla bnc#520642 and
  CUPS STR #3264 http://www.cups.org/str.php?L3264).
- 2.18.18
* Wed Jul  8 2009 ug@suse.de
- redone printer.rnc file
* Tue Jun  2 2009 jsmeix@suse.de
- Adapted the Connection Wizard and its help text regarding beh
  for the new foomatic-filters 4.0.1 which now contains beh
  so that cups-backends is no longer required to set up beh
  (see Novell/Suse Bugzilla bnc#502656 comment #15).
- Fixed the determine_printer_driver_options tool which
  failed to set PPD options with special characters in keywords
  (see Novell/Suse Bugzilla bnc#503774).
- Let the autodetect_print_queues tool ignore "root"-instances
  (see Novell/Suse Bugzilla bnc#503065).
- 2.18.17
* Tue May 19 2009 mzugec@suse.cz
- fixed: creating AY profile (bnc#504762)
- 2.18.16
* Thu Apr 30 2009 jsmeix@suse.de
- In the Print via Network dialog changed ambiguous wording
  "receive" to "accept" to make it more clear that this
  setting is not about actively polling via BrowsePoll
  but regarding passively accepting via BrowseAllow
  (see Novell/Suse Bugzilla bnc#433047 comment #10).
- 2.18.15
* Fri Apr 24 2009 jsmeix@suse.de
- Fixed the Connection Wizard which now checks for each connection
  which is not natively supported by CUPS if the RPM package
  which provides the matching CUPS backend is installed.
- 2.18.14
* Thu Apr 23 2009 jsmeix@suse.de
- When printing a testpage in the Overview dialog, explicitly
  show the pending print jobs so that the user can now better
  decide whether or not the pending jobs could be deleted.
- Fixed serial printer setup in the Connection Wizard
  (see Novell/Suse Bugzilla bnc#488655) and
  fixed SCSI printer setup in the Connection Wizard accordingly.
- Makeshift fix of the bluetooth setup in the Connection Wizard
  so that manual bluetooth printer setup is possible now
  (see Novell/Suse Bugzilla bnc#467220 comment #11).
- Removed all stuff regarding "infra" from the Connection Wizard
  because we do not and did not provide a CUPS backend for
  infrared access (IrDA) which does not mean that such a setup
  is impossible because any special case can be set up
  via "Specify Arbitrary Device URI".
- 2.18.13
* Thu Apr 16 2009 jsmeix@suse.de
- Undo using "-o document-format=application/vnd.cups-postscript"
  when submitting the test page because it does not work for
  the Gutenprint driver (see Novell/Suse Bugzilla bnc#467877).
- 2.18.12
* Thu Apr 16 2009 jsmeix@suse.de
- Removed the "filters" package from the "Add Driver" dialog
  because this package was dropped for openSUSE 11.2.
- Be prepared for the upcomming PDF workflow by submitting the test
  page using "-o document-format=application/vnd.cups-postscript"
  (see Novell/Suse Bugzilla bnc#467877).
- 2.18.11
* Thu Apr  2 2009 jsmeix@suse.de
- Improved the driver search functionality in basicadd.ycp and
  in basicmodify.ycp (in particular each sequence of spaces
  in the search string is replaced by the regexp '.*' so that
  the search string "ACME 100" would find "ACME FunPrinter 100").
- 2.18.10
* Tue Mar  3 2009 jsmeix@suse.de
- Fixed a few bugs in the "More Drivers" functionality.
  In particular it works now always based on the current visible
  search string and no longer on whatever obsure other stuff.
- The DriverItems function in Printer.ycp searches the model name
  now also in the 1284DeviceID entry in the PPDs because this entry
  should contain the exact model name how it is autodetected
  while the NickName entry (which is still searched) may contain
  a different model name (e.g. what is labeled on the device).
- 2.18.9
* Fri Feb 27 2009 jsmeix@suse.de
- Added the functionality to basicadd.ycp and basicmodify.ycp to
  set the default paper size directly when a driver is assigned
  or when the currently used driver is replaced by another one.
- 2.18.8
* Thu Feb 26 2009 jsmeix@suse.de
- Fixed the "More Drivers" functionality in basicmodify.ycp
  to show the current driver topmost in any case.
- Enhanced help texts for basicadd.ycp and basicmodify.ycp
  to describe driver related issues in much more detail.
- Call Wizard::SetContents with empty content in basicadd.ycp
  and basicmodify.ycp to avoid that initially the previous
  dialog is shown until the real content is generated.
- 2.18.7
* Wed Feb 25 2009 jsmeix@suse.de
- Added a "More Drivers" functionality to basicadd.ycp and
  basicmodify.ycp (see Novell/Suse Bugzilla bnc#468046).
- Fixed the test whether there is a valid driver and a valid
  connection before a queue is set up in printer_proposal.ycp.
- 2.18.6
* Tue Feb 17 2009 jsmeix@suse.de
- Removed Firewall Settings which were added in version 2.17.29
  because it is not possible to implement it so that it works
  reliable and correct (see Novell/Suse Bugzilla bnc#468426).
  In particular it is not possible to test on the local host
  if remote access via port 631 TCP/UDP would be allowed
  (there is no replacement for "ipchains --check").
  Added notification texts regarding firewall in the dialogs
  and added explanatory help texts regarding firewall so that
  users are informed what to do manually regarding firewall.
- 2.18.5
* Wed Feb 11 2009 jsmeix@suse.de
- Fixed various typos in various texts (see Novell/Suse Bugzilla
  bnc#440839 bnc#442537 bnc#465401 bnc#465720 bnc#466371).
- 2.18.4
* Tue Feb 10 2009 mzugec@suse.cz
- enable cups autoconfig on 64-bit (bnc#464683)
- 2.18.3
* Mon Feb  9 2009 mzugec@suse.cz
- AutoYaST : import
- 2.18.2
* Fri Feb  6 2009 mzugec@suse.cz
- AutoYaST support (bnc#464364) - export only
- 2.18.1
* Mon Jan 26 2009 mzugec@suse.cz
- marked string for translation (bnc#459414)
- 2.18.0
* Fri Dec  5 2008 jsmeix@suse.de
- Marked file browser header for translation in driveradd.ycp
  (see Novell/Suse Bugzilla bnc#448589).
- Made all manufacturers_combo_box ComboBox widgets editable
  in connectionwizard.ycp so that the user can manually
  enter his printer manufacturer if it is not present
  in the known_manufacturers list (also useful to append
  some model name info to the manufacturer to get initially
  a more specific driver search result).
- 2.17.52
* Thu Dec  4 2008 jsmeix@suse.de
- Fixed bugs which were introduced by the change on Wed Dec 3 2008.
  and align buttons according to the change on Wed Dec 3 2008
  not only in basicadd.ycp but also in basicmodify.ycp
  (see Novell/Suse Bugzilla bnc#447515).
- Have a meaningful desciptive label "Search for Drivers"
  in basicadd.ycp and basicmodify.ycp
  (see Novell/Suse Bugzilla bnc#446186).
- 2.17.51
* Thu Dec  4 2008 mzugec@suse.cz
- align buttons (bnc#447517)
* Thu Dec  4 2008 mzugec@suse.cz
- align buttons (bnc#447516)
* Thu Dec  4 2008 mzugec@suse.cz
- text in installation proposal (bnc#449107)
- 2.17.50
* Wed Dec  3 2008 mzugec@suse.cz
- align buttons (bnc#447515)
- 2.17.49
* Mon Dec  1 2008 mzugec@suse.cz
- marked string for translation (bnc#446121)
* Fri Nov 28 2008 jsmeix@suse.de
- Removed the nasty inline bash scripts in connectionwizard.ycp
  and replaced them by our well known external tools from
  the old yast2-printer module test_device, test_remote_socket,
  test_remote_lpd, test_remote_ipp, test_remote_smb, and
  test_remote_novell and called them in a safe environment
  via Printerlib::ExecuteBashCommand (in particular using a safe
  locale which is required for the scripts to work correctly)
  so that now the connection tests in the Connection Wizard should
  again work as good as before in the old yast2-printer module
  and provided an error popup with details when a test fails
  (see Novell/Suse Bugzilla bnc#445543).
- 2.17.48
* Thu Nov 27 2008 jsmeix@suse.de
- Several fixes regarding the Connection Wizard like
  misaligned layout, wrong Device URIs,
  Buttons without any functionality,
  wrong error and debug messages,
  inaccurate search string for drivers,
  improper preset URIs and model info,...
  so that the Connection Wizard should now basically work
  (see Novell/Suse Bugzilla bnc#440903
  and Novell/Suse Bugzilla bnc#442247
  and Novell/Suse Bugzilla bnc#446432
  and Novell/Suse Bugzilla bnc#441416).
- 2.17.47
* Wed Nov 26 2008 jsmeix@suse.de
- Several fixes for the Connection Wizard but it is still
  not very good (see Novell/Suse Bugzilla bnc#440903
  and Novell/Suse Bugzilla bnc#442247
  and Novell/Suse Bugzilla bnc#446432).
- Better fallback when no model info is available
  in basicadd.ycp and basicmodify.ycp
  (see Novell/Suse Bugzilla bnc#446432).
  - Fixed automatic removal of cups-autoconfig RPM when Autoconfig
  dialog is useless (e.g. because of "client only").
- 2.17.46
* Fri Nov 21 2008 mzugec@suse.cz
- lpr/lpd setup (bnc#420922)
- lookup for printers
- test remote access
- 2.17.45
* Fri Nov 21 2008 jsmeix@suse.de
- Avoid that the hardware proposal asks the user to install
  the packages cups-client and cups and skip the hardware
  proposal if one of those packages is missing
  (see Novell/Suse Bugzilla bnc#445719)
  but make sure that when the full printer module is launched
  from the hardware proposal it asks the user to install
  the packages cups-client and cups.
- 2.17.44
* Thu Nov 20 2008 jsmeix@suse.de
- Fixed how to avoid to autoconfigure multiple queues for
  the same printer. It is now based upon the URI which is
  sufficient because "usb://HP/" versus "hp:/usb/" duplicates
  and "parallel:/" versus "hp:/par/" duplicates are already
  avioded via the ConnectionItems("BasicAddDialog") call.
  Moved cupsd start when continuing a fresh installation
  in the target system (i.e. for the hardware proposal) from
  the Read() function in Printer.ycp to printer_proposal.ycp
  and wait for a started cupsd to become actually accessible
  (see Novell/Suse Bugzilla bnc#437735 starting at comment #17).
- Added killing of the CUPS backend process to testpage printing
  to have an emergency break when a wrong driver lets the printer
  spit out zillions of sheets with nonsense characters.
- 2.17.43
* Wed Nov 19 2008 jsmeix@suse.de
- Avoid to autoconfigure multiple queues for the same printer
  if the printer is accessible via multiple connections
  (see Novell/Suse Bugzilla bnc#437735 starting at comment #14).
- Fixed testpage printing again, made it more fail safe.
- 2.17.42
* Fri Nov 14 2008 mzugec@suse.cz
- autoconfigure local printers during installation (bnc#437735)
- 2.17.41
* Fri Nov 14 2008 jsmeix@suse.de
- Fixed "client-only" handling in the dialogs of the DialogTree
  (Printing via Network, Sharing, Policies, Autoconfig).
- Fixed testpage printing commands (added "-h localhost").
- 2.17.40
* Thu Nov 13 2008 jsmeix@suse.de
- Fixed testpage printing, made it more fail safe.
- 2.17.39
* Thu Nov 13 2008 jsmeix@suse.de
- Fixed removal of the "Cancel" button from the Overview dialog
  so that also in ncurses mode the other dialogs in the DialogTree
  get the button with the "cancel" functionality re-enabled.
- Avoid unexpected side-effects of Package::Remove.
- Fixed "Trigger Automatic Configuration" in Autoconfig dialog
  by enabling the automatic configuration if the trigger is "on".
- 2.17.38
* Thu Nov 13 2008 jsmeix@suse.de
- In Sharing dialog fixed removing all BrowseAddress values
  and made it more user-friendly to change from
  "deny any remote access" to "allow remote access".
- Added "Trigger Automatic Configuration" to Autoconfig dialog.
- Removed the "Cancel" button from the Overview dialog
  because there is nothing to cancel here.
- Implemented the fixed functionality of the "Cancel" button
  in the non-initial dialogs of the DialogTree correctly
  (see below Wed Nov 12 12:52:57 CET 2008).
- 2.17.37
* Wed Nov 12 2008 jsmeix@suse.de
- Remove the queue if it was only partially added and removed
  duplicate error messages when adding or deleting a queue.
- Enforced a consistent meaning of the "OK" button
  (see Novell/Suse Bugzilla bnc#443676).
- 2.17.36
* Wed Nov 12 2008 jsmeix@suse.de
- Added captions and the printer icon to the dialog header line
  (see Novell/Suse Bugzilla bnc#438198).
- Fixed functionality of the "Cancel" button in the non-initial
  dialogs of the DialogTree (Printing via Network, Sharing,
  Policies, Autoconfig) so that the "Cancel" button goes
  now "back" to the Overview according to the new style guide.
  Only the "Cancel" button in the initial Overview dialog
  exits the whole module.
- 2.17.35
* Thu Nov  6 2008 jsmeix@suse.de
- Fixed a quoting bug in the Modify queue dialog.
- Renamed buttons according to the new style guide
  by manually overwriting the Wizard module defaults
  (compare Novell/Suse Bugzilla bnc#440560).
- 2.17.34
* Thu Nov  6 2008 jsmeix@suse.de
- Fixed driver preselection bug in Printer.ycp.
- Fixed dialog layout of the Add New Printer Configuration
  dialog and of the Modify queue dialog so that
  both dialogs work also o.k. in ncurses mode.
  This mitigates also the issue in
  Novell/Suse Bugzilla bnc#438875.
- 2.17.33
* Wed Nov  5 2008 jsmeix@suse.de
- Fixed bugs in the Share Printers dialog:
  Apply settings when the user only changed
  "deny remote access" to "allow remote access"
  if there is at least one real allow value.
  Having only "Listen *:631" in cupsd.conf is sufficient
  that the initSharing function sets listen_local to true.
  The modify_cupsd_conf tool works with 'Allow 127.0.0.2'
  and it logs its changes as comments in cupsd.conf.
  (See Novell/Suse Bugzilla bnc#441370)
- Fixed dialog layout of the Share Printers dialog
  and of the Printing via Network dialog so that
  both dialogs work also o.k. in ncurses mode.
- 2.17.32
* Tue Nov  4 2008 jsmeix@suse.de
- Dialog layout fixes for the Share Printers dialog
  (see Novell/Suse Bugzilla bnc#438225).
- Removed the "Nothing changed" Popup everywhere
  (see Novell/Suse Bugzilla bnc#440605).
- 2.17.31
* Fri Oct 31 2008 jsmeix@suse.de
- Added a test if a local cupsd does not listen on the
  official IPP port (631) to the Overview dialog.
- 2.17.30
* Thu Oct 30 2008 jsmeix@suse.de
- Added Firewall Settings to the Printing via Network dialog.
- Added Firewall Settings to the Share Printers dialog.
- 2.17.29
* Wed Oct 29 2008 jsmeix@suse.de
- Added a AskForExistingFile popup dialog in the Add Driver
  dialog to browse the file system to select a PPD file.
- Added functionality to remove the cups-autoconfig RPM
  in the Autoconfig Settings dialog.
- 2.17.28
* Fri Oct 24 2008 jsmeix@suse.de
- Fixed some bugs in the Add Driver dialog.
  In particular regarding the HPLIP packages
  (hplip + hplip-hpijs versus hpijs-standalone).
  Added driver package ghostscript-omni.
- 2.17.27
* Thu Oct 23 2008 jsmeix@suse.de
- The Add Driver dialog should now work basically.
- 2.17.26
* Thu Oct 23 2008 jsmeix@suse.de
- In the Policies dialog added checkboxes to apply the policies
  to all local queues because the ErrorPolicy and OpPolicy
  settings in /etc/cups/printers.conf do of course not change
  automatically when the default policies are changed in
  /etc/cups/cupsd.conf (unfortunately each queue is set up
  with explicite ErrorPolicy and OpPolicy settings instead
  of inherit them from cupsd.conf if not set in printers.conf).
- In the Policies dialog added tests whether or not the
  dialog is useless (e.g. in case of a "client-only" config)
  and disable the widgets if the dialog is useless.
- 2.17.25
* Wed Oct 22 2008 jsmeix@suse.de
- Removed cups*.scr entry from the files list in the spec file
  because the IniAgent is no longer used.
- 2.17.24
* Wed Oct 22 2008 jsmeix@suse.de
- The Autoconfig Settings dialog should work now basically.
  Separated this dialog as autoconfig.ycp from dialogs.ycp.
  Replaced usage of the IniAgent (found several bugs there)
  by simple commands (removed whole the agents sub-directory).
- Removed Printerlib::Read and Printerlib::Write which are
  no longer needed (the dialogs read their stuff directly).
- 2.17.23
* Mon Oct 20 2008 mzugec@suse.cz
- fixed popup typo (bnc#436097)
* Thu Oct 16 2008 jsrain@suse.cz
- fixed printer proposal (bnc #431559)
- 2.17.22
* Mon Oct 13 2008 mzugec@suse.cz
- fixed Connection Wizard
- some help text improvements
- 2.17.21
* Mon Oct 13 2008 jsmeix@suse.de
- The CUPS Policies dialog should work now.
- Fixed a bug regarding "Share Printers" so that it reports now
  the Allow values only from the root location (<Location />).
- 2.17.20
* Thu Oct  9 2008 jsmeix@suse.de
- Check if the cups-client RPM is installed (strictly required)
  and enforce to install it (otherwise abort) and
  if the cups RPM is installed (not strictly required)
  and try to install it but let the user proceed otherwise.
- Prefer 'hp:/usb/' DeviceURIs by default.
  The matching 'usb://HP/' is still available
  via "More Connections".
- Using separated progress file for create_printer_ppd_database
  to show a progress even while waiting up to 300 seconds
  for a response from the lpinfo command
  (see Novell/Suse Bugzilla bnc#429397).
- 2.17.19
* Wed Oct  8 2008 jsmeix@suse.de
- The "Share Printers" dialog should now work
- Increased MAXIMUM_WAIT to 300 seconds in
  tools/create_printer_ppd_database
  (see Novell/Suse Bugzilla bnc#429397).
- 2.17.18
* Fri Sep 26 2008 jsmeix@suse.de
- In the "Share Printers" dialog it is now no longer possible
  to "Add" the same network interface several times
  (even with different settings for "publishing").
- Using Popup::ErrorDetails wherever possible to provide
  the actual system stderr message via [Details]
  (see Novell/Suse Bugzilla bnc#429397).
- 2.17.17
* Thu Sep 25 2008 jsmeix@suse.de
- First usable version of the "Share Printers" dialog.
  Curently it is not yet implemented to share via
  individual IP addresses.
- Increased MAXIMUM_WAIT to 60 seconds in
  tools/create_printer_ppd_database
  (see Novell/Suse Bugzilla bnc#429397).
- 2.17.16
* Fri Sep 19 2008 mzugec@suse.de
- start cups during installation proposal (bnc#418585)
- 2.17.15
* Fri Sep 19 2008 mzugec@suse.cz
- some fixes for translations
* Thu Sep 18 2008 mzugec@suse.cz
- improved help (by jsmeix)
- Connection Wizard (not done)
- 2.17.14
* Mon Sep 15 2008 mzugec@suse.cz
- fixed button labeling (bnc#398487)
* Fri Sep 12 2008 jsmeix@suse.de
- Adapt the "Modify Printer" dialog to the design on
  http://en.opensuse.org/YaST/Development/Printer_Enhancement
  but still a single dialog only with basic functionality
  (the full featured tabbed dialog is not yet implemented).
- Show a user information because the Connection Wizard
  provides currently only minimalist functionality.
- Fix texts in the dialogs (e.g. avoid the word "queue").
  The help texts still need to be fixed.
- 2.17.13
* Thu Sep 11 2008 jsmeix@suse.de
- Adapt the "Add Printer" dialog to the design on
  http://en.opensuse.org/YaST/Development/Printer_Enhancement
- 2.17.12
* Fri Sep  5 2008 jsmeix@suse.de
- Fixed bugs regarding client-only setup via a mandatory
  and better test if a client-only server is accessible.
- 2.17.11
* Thu Sep  4 2008 jsmeix@suse.de
- The 'Printing via Network' dialog should now work.
- Added user confirmation before a cupsd start/restart/stop.
- Implemented [Refresh] button for the 'Overview' dialog.
- 2.17.10
* Wed Sep  3 2008 jsmeix@suse.de
- Implemented cupsd status/start/restart/stop functionality.
- 2.17.9
* Tue Sep  2 2008 jsmeix@suse.de
- The 'Printing via Network' dialog writes the Browsing values
  to the system (but client-only is not yet implemented).
- 2.17.8
* Fri Aug 29 2008 jsmeix@suse.de
- Some code cleanup.
- 2.17.7
* Thu Aug 28 2008 jsmeix@suse.de
- Fixed build (new scripts were not packaged).
- The 'Printing via Network' dialog UI should now work correctly
  but writing the values to the system is not yet implemented.
- 2.17.6
* Wed Aug 27 2008 jsmeix@suse.de
- Enhanced scripts in the tools directory to make them
  safe for a client-only setup and two new scripts
  cups_client_only and modify_cupsd_conf.
- 2.17.5
* Thu Aug 14 2008 mzugec@suse.cz
- allow to print test page also for remote queues
- changed next Button to Finish
- 2.17.4
* Thu Aug 14 2008 mzugec@suse.cz
- widget to select default policy (fate#303515)
- 2.17.3
* Tue Aug 12 2008 mzugec@suse.cz
- removed cups-devel from Requires
* Mon Aug 11 2008 mzugec@suse.cz
- major code changes based on Johannes Meixner's code
- 2.17.2
* Wed Jun 11 2008 mzugec@suse.de
- "change connection" - backend validation (bnc#388575)
- 2.17.1
* Tue Jun 10 2008 mzugec@suse.cz
- automatic installation / not-fully supported printers (bnc#395397)
- 2.17.0
* Wed Jun  4 2008 mzugec@suse.cz
- improved hostname validation
- 2.16.34
* Wed Jun  4 2008 mzugec@suse.cz
- initialization sequence sent to usb blocks usb port (bnc#397036)
- 2.16.33
* Mon Jun  2 2008 mzugec@suse.cz
- install hplip only in case any "hp:/" configured queue exists
  (bnc#395386)
- 2.16.32
* Thu May 22 2008 mzugec@suse.cz
- install and use hplip instead of hpijs-standalone (bnc#388149)
- 2.16.31
* Tue May 20 2008 mzugec@suse.cz
- improved add/edit usb queues
- 2.16.30
* Tue May 20 2008 mzugec@suse.cz
- fixed lpd network queue (bnc#391848)
- 2.16.29
* Tue May 20 2008 mzugec@suse.cz
- use cups backend for detect parallel (bnc#391324)
- 2.16.28
* Sun May 18 2008 mzugec@suse.cz
- marked strings for translation (bnc#390588)
* Sun May 18 2008 mzugec@suse.cz
- fixed - adding smb queue (bnc#386934)
- 2.16.27
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Wed May 14 2008 mzugec@suse.cz
- fixed broken workflow in "Change Connection" (bnc#388575)
- 2.16.26
* Sat May 10 2008 mzugec@suse.de
- too small text boxes at "Global Settings" (bnc#387234)
- 2.16.25
* Sat May 10 2008 mzugec@suse.de
- disable "Test Printer Connection" when no connection (bnc#386592)
- 2.16.24
* Wed May  7 2008 mzugec@suse.de
- stop/start cupsd according client/server mode (bnc#387249)
- 2.16.23
* Tue May  6 2008 mzugec@suse.cz
- set window size by MinSize() (bnc#386940)
- 2.16.22
* Fri May  2 2008 mzugec@suse.cz
- change printer model window size (bnc#385944)
- 2.16.21
* Fri May  2 2008 mzugec@suse.cz
- install bluez-cups when needed (bnc#374423)
- 2.16.20
* Fri Apr 25 2008 mzugec@suse.cz
- fixed overview layout - adapt to DialogTree (FaTE#302133)
- 2.16.19
* Thu Apr 24 2008 mzugec@suse.cz
- updated data/printers_support (bnc#378233)
- 2.16.18
* Wed Apr 23 2008 mzugec@suse.cz
- fixed "add" printer (bnc#382074)
- 2.16.17
* Wed Apr 23 2008 mzugec@suse.cz
- improved "global" settings layout (bnc#381353)
- 2.16.16
* Wed Apr 16 2008 mzugec@suse.de
- fixed testsuite
* Wed Apr 16 2008 mzugec@suse.cz
- Avoid the Automated Setup For "Non-Recommended" Printers
  (FaTE#120083)
- 2.16.15
* Tue Apr 15 2008 jsuchome@suse.cz
- yast2-inetd required, fixed testsuite
- 2.16.14
* Mon Apr 14 2008 mzugec@suse.cz
- UI Redesign (FaTE#302133)
- 2.16.13
* Sun Apr 13 2008 coolo@suse.de
- fix linking too
* Sat Apr 12 2008 coolo@suse.de
- adding md5_stream implementation
- 2.16.12
* Mon Apr  7 2008 mzugec@suse.de
- LPD protocol switching support (bnc#120086)
- 2.16.11
* Tue Apr  1 2008 mzugec@suse.de
- fixed list of remote/local backends
* Fri Mar 28 2008 mzugec@suse.de
- ComboBox to switch between Local and Remote printers (FaTE#302133)
- Print test page in overview dialog
- 2.16.10
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Mon Mar 10 2008 mzugec@suse.de
- adapt parport agent to new cut (bnc#359893)
- 2.16.9
* Fri Feb 29 2008 coolo@suse.de
- fix spec file
* Tue Feb 26 2008 mzugec@suse.de
- automatic refresh of selection list box (bnc#363423)
- 2.16.8
* Mon Jan 28 2008 mzugec@suse.de
- dropped strict requires to netcat (#264309)
- 2.16.7
* Mon Nov 26 2007 mzugec@suse.cz
- accepting password with "@" in it (#225240)
- 2.15.6
* Fri Nov 23 2007 mzugec@suse.cz
- use URL instead of Printerlib:: functions
* Wed Nov 21 2007 mzugec@suse.cz
- add title for Update yast printer db (#303975)
* Wed Nov 21 2007 mzugec@suse.cz
- disable printer test button for local filtering (#186597)
- removed *.la files (#223709)
- 2.16.5
* Tue Nov  6 2007 mzugec@suse.cz
- tabbed UI done (without help)
- 2.16.4
* Fri Nov  2 2007 mzugec@suse.cz
- show network printers - fixed (problem when password contains
  space for smb backend)(#332237)
- disable edit for raw queues (#247336)
- split UI into tabs (not done completly)
- 2.16.3
* Tue Oct 30 2007 mzugec@suse.cz
- let the user accept even non-compliant PPDs - (#310177)
- 2.16.2
* Mon Oct 29 2007 mzugec@suse.cz
- "unknown" queue appears in the installation - (#308107)
- use [Accept] instead of [Finish] during installation - (#308102)
- 2.16.1
* Wed Oct  3 2007 mvidner@suse.cz
- Do not try to package COPYRIGHT.english, it is gone from
  devtools (#299144).
- 2.16.0
* Mon Sep 24 2007 mzugec@suse.cz
- reverted last submit (back to 2.15.4 status) (#326319)
* Mon Sep  3 2007 mzugec@suse.cz
- changed testsuite output
* Mon Sep  3 2007 mzugec@suse.cz
- read URI for usb printers from cups backend if not available
  in hwinfo (#307118)
- 2.15.5
* Mon Aug  6 2007 mzugec@suse.cz
- reverted factory patch (remove tabs)
- 2.15.4
* Thu Jul 26 2007 mzugec@suse.cz
- package splitted into yast2-printer and yast2-printer-devel-doc
- 2.15.3
* Mon Jul 23 2007 mzugec@suse.de
- rename buttons - [Finish] should be [Accept] (#270515)
- 2.15.2
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Mon May  7 2007 mzugec@suse.cz
- include cups-drivers if needed (#218760)
- 2.15.1
* Wed May  2 2007 mzugec@suse.cz
- superfluous slash in the printer list (#215197)
* Wed May  2 2007 mzugec@suse.cz
- disappearing of capital letters in queue name (#269188)
- 2.15.0
* Tue Apr  3 2007 mzugec@suse.cz
- L3: autoyast fails on printer configuration (#258738)
- 2.14.23
* Wed Feb 21 2007 mzugec@suse.cz
- allow "localhost" and "127.0.0.1" as servername (#247273)
- 2.14.22
* Mon Feb 19 2007 mzugec@suse.cz
- start hplip service only for local queues (#237693)
- when "add new queue for existing printer", use DeviceUri for identifying printer (#242085)
- 2.14.21
* Thu Feb  8 2007 mzugec@suse.de
- dialog shows default queue even if there was none (#223838)
- 2.14.20
* Tue Feb  6 2007 mzugec@suse.de
- suggest PPD file for the selected printer (#214243)
* Tue Feb  6 2007 mzugec@suse.de
- use recommended ppd if there is any (#220712)
- 2.14.19
* Mon Feb  5 2007 mzugec@suse.de
- smb queues with user/pass are not listed in list of queues (#240727)
- 2.14.18
* Thu Jan  4 2007 mzugec@suse.cz
- 2.14.17 - #229231 - hangs up when building database of drivers: 4%%
* Thu Nov 30 2006 mzugec@suse.de
- ServerName widget minimal size
- 2.14.16
* Mon Nov 27 2006 mzugec@suse.cz
- #223840 - stops hplip even if it was running
- 2.14.15
* Thu Nov 23 2006 mzugec@suse.cz
- #223197 - yast2-printer does not show all queues
- #223206 - yast2-printer determines and sets wrong default queue
- 2.14.14
* Tue Nov 21 2006 mzugec@suse.cz
- #221245 - remote printers are allowed to modify
- 2.14.13
* Mon Nov 13 2006 mzugec@suse.cz
- #220278 - replace cups-drivers-stp package with gutenprint
- 2.14.12
* Fri Nov 10 2006 mzugec@suse.cz
- #217259 - printer segfaults - finally fixed
- 2.14.11
* Wed Nov  8 2006 mzugec@suse.cz
- #217259 - printer segfaults
- 2.14.10
* Wed Nov  8 2006 mzugec@suse.cz
- #190173 - read settings from CUPS daemon after daemon starts
- 2.14.9
* Tue Nov  7 2006 mzugec@suse.cz
- fixed src/config/printer.rnc
* Tue Nov  7 2006 mzugec@suse.cz
- #211564 - align CUPS Permissions dialog
- 2.14.8
* Wed Nov  1 2006 mzugec@suse.cz
- #210924 - choose correct PPD file
- 2.14.7
* Tue Oct 31 2006 mzugec@suse.cz
- #215251 - add schema (RNC) file
- 2.14.6
* Tue Oct 31 2006 mzugec@suse.cz
- fate #301214: Adapt yast2-printer for CUPS 1.2
- 2.14.5
* Tue Oct 24 2006 mzugec@suse.cz
- #214265 - module crashes when reading old driver database
- 2.14.4
* Fri Sep  1 2006 mzugec@suse.cz
- fate #416 - recognize iPrint
  - ------------------------------------------------------------------
  Tue Oct 17 10:22:55 CEST 2006 - mzugec@suse.cz
  - fixed #206398 - serial printer test fails
  - ------------------------------------------------------------------
  Mon Oct  9 10:00:14 CEST 2006 - mzugec@suse.cz
  - #208005 - resize cups dialog
* Fri Sep  1 2006 mzugec@suse.cz
-fixed #116446, #115888, #175323 - hp:// backend
    + testsuite change for CUPS1.2
* Fri Aug 18 2006 jsrain@suse.cz
- fixed building documentation
- 2.13.23
* Wed Aug  9 2006 mzugec@suse.cz
- fixed #197106 - DeviceUri syntax problem for samba
* Wed Aug  9 2006 mzugec@suse.cz
-  fixed #180640 - starts hplip even if it was stoped and disabled
* Wed Aug  9 2006 jsrain@suse.cz
- fixed tsetsuite
* Tue Jul 18 2006 mzugec@suse.cz
- 2.13.20 fixed #190173 - lpd printer doesn't get installed
* Fri Jun  9 2006 mzugec@suse.cz
- fixed #181780 - corrupted URI for smb
* Wed Jun  7 2006 visnov@suse.cz
- fix build
- 2.13.18
* Fri Jun  2 2006 mzugec@suse.cz
- fixed #169750 - media size not saved properly
* Thu May 11 2006 mzugec@suse.cz
- fixed #172856 - wrong encoding
* Thu May 11 2006 mzugec@suse.cz
- fixed #169689 and #169684 - read CUPS settings in installation
* Thu May  4 2006 mzugec@suse.cz
- merged texts from proofread
- 2.13.14
* Fri Apr 28 2006 mzugec@suse.cz
- fixed #169689 -  warning for propose button
* Fri Apr 28 2006 mzugec@suse.cz
- fixed #169763 - ignore not used zones
* Wed Apr 26 2006 mzugec@suse.cz
- fixed #169750 - media size not saved properly
* Wed Apr 26 2006 mzugec@suse.cz
- fixed #169684 - expert cups server setting dialog does not always store data
* Fri Apr 14 2006 mzugec@suse.cz
- fixed #164851 - warn if conflict choices in PPD
* Fri Apr 14 2006 mzugec@suse.cz
- fixed #88286 - using locales for A4/Letter
* Tue Apr 11 2006 mzugec@suse.cz
- fixed #163886 - configuring more printers
* Fri Apr  7 2006 mzugec@suse.cz
- #163870 - auto-select printer model
* Thu Mar 30 2006 mzugec@suse.cz
- fixed #161050 - new queue for existing printer
* Wed Mar 15 2006 mzugec@suse.cz
- fixed #157872 - model and ppd information
* Tue Mar 14 2006 schwab@suse.de
- Fix unaligned buffer for md5_stream [#140341].
* Wed Mar  1 2006 mzugec@suse.cz
- fixed #153365 - untranslated text from SuSEFirewall
* Mon Feb 27 2006 mzugec@suse.cz
- fixed #152172 - hide password when using samba
* Wed Jan 18 2006 mzugec@suse.cz
- fixed #142784 - difficult to disable cups broadcast listening
* Tue Dec 20 2005 mzugec@suse.cz
- initial SL10.1
* Tue Dec 20 2005 visnov@suse.cz
- don't link against libpy2stdio
* Thu Dec 15 2005 mzugec@suse.cz
- delete deprecated lookup
* Thu Dec 15 2005 mzugec@suse.cz
- change deprecated find to search
* Tue Nov  8 2005 mzugec@suse.cz
- improving add printer/queue dialogs
* Tue Sep 13 2005 mzugec@suse.cz
- fixed (#116744) - remove warning
* Tue Sep 13 2005 mzugec@suse.cz
- fixed (#116516) - change sequence for unknown printer
* Mon Sep 12 2005 mzugec@suse.cz
- fixed untranslated string
* Mon Sep 12 2005 mzugec@suse.cz
- fixed bug #114735
* Mon Sep  5 2005 mzugec@suse.cz
- fixed cups-server
* Mon Aug 29 2005 mzugec@suse.cz
- fixed bugs (113299, 113297, 106686)
* Wed Aug 24 2005 mzugec@suse.cz
- fixed more bugs (WizardHW - add, edit)
* Mon Jul 11 2005 visnov@suse.cz
- fixed build dependencies
- 2.12.1
* Fri May 13 2005 jsrain@suse.cz
- fixed list of required packages
* Tue May  3 2005 jsrain@suse.cz
- renamed variables 'default' and 'switch'
- 2.12.0
* Tue Mar 15 2005 jsrain@suse.cz
- fixed displaying incorrect label for PPD files (#72792)
* Wed Mar  2 2005 jsrain@suse.cz
- merged texts from proofread
* Mon Feb 28 2005 jsrain@suse.cz
- fixed handling of ghostscript packages
* Thu Feb 24 2005 jsrain@suse.cz
- fixed creating CUPS client-only configuration (#66445)
- 2.11.9
* Wed Feb 23 2005 jsrain@suse.cz
- fixed some check_ycp errors
* Tue Feb 22 2005 jsrain@suse.cz
- fixed wildcard for adding PPD files (#66135)
- fixed handling of Samba URIs, not printing password in URI on
  the test page (#64821)
- inform user that setting printer via HPLIP failed
- 2.11.8
* Fri Feb 18 2005 jsrain@suse.cz
- fixed comments for translators
- 2.11.7
* Thu Feb 17 2005 jsrain@suse.cz
- inform user about possibility to fix quality problems changing
  the PPD file (#49888)
* Wed Feb  9 2005 jsrain@suse.cz
- remove indentation from cupsd.conf (#50625)
* Mon Feb  7 2005 jsrain@suse.cz
- merged texts from proofread
- 2.11.6
* Tue Feb  1 2005 jsrain@suse.cz
- fixed detection for some printers
* Mon Jan 31 2005 jsrain@suse.cz
- fixed displaying empty parenthesis in proposal
- 2.11.5
* Tue Jan 25 2005 jsrain@suse.cz
- syntax fixes
- 2.11.4
* Tue Jan 18 2005 jsrain@suse.cz
- added HPLIP support
- 2.11.3
* Wed Jan 12 2005 jsrain@suse.cz
- clean the temporary directory before downloading PPD files
  (#49474)
* Wed Dec 15 2004 jsrain@suse.cz
- using Progress::set
- adapted to new SuSEFirewall
- cleaned neededforbuild and requires
- fixed handling of IPP queues for non-CUPS servers (##48628)
- 2.11.2
* Mon Dec 13 2004 jsrain@suse.cz
- ask for URI (instead of host + queue) if configuring direct
  printing on a remote printer via IPP queue (#48628)
- fixed problem with localizations of texts for unconfigured
  printers (#31168)
* Fri Dec 10 2004 jsrain@suse.cz
- fixed saving changes to PPD file when printing test page (#48899)
- propose to do local filtering when configuring remove printer or
  setting URI manually (#48627, #48629)
- fixed device URI loss if went back from connection change dialog
  (#49115)
* Wed Dec  1 2004 nashif@suse.de
- Use docbook macros to build documentation
- Removed unneeded packages from nfb
* Tue Nov  9 2004 jsrain@suse.cz
- fixed transformation country code -> language name in PPD file
- fixes of Bluetoth printing support
* Fri Nov  5 2004 jsrain@suse.cz
- changed the text for listenning to remote CUPS servers in the
  summary (#42228)
- allowed to set the addresses from which IPP bcasts should be
  received (#40037)
- 2.11.1
* Thu Nov  4 2004 jsrain@suse.cz
- basic bluetooth printer configuration support
- adapted to new Mode.ycp
- fixes to new interpreter
* Thu Oct 21 2004 jsrain@suse.cz
- added support for localized PPD files (multiple files with the
  same nick name, but different language)
- don't add supported models if there is no PPD file to database
  (#47092)
* Wed Oct 20 2004 jsrain@suse.cz
- remove models which don't have any PPD file or record in supported
  printers list from the database (#47092)
* Tue Oct 19 2004 jsrain@suse.cz
- using unified messages from Label.ycp/Message.ycp
- fixed includes in the agents
- 2.11.0
* Thu Oct 14 2004 jsrain@suse.cz
- fixed the summary if CUPS client-only installation was selected
  in hardware proposal if packages weren't installed before
  (#47082)
* Mon Oct 11 2004 jsrain@suse.cz
- adapted to new Arch:: interface
* Thu Oct  7 2004 jsrain@suse.cz
- fixed adding PPD files to database if file name contains strange
  characters (#46911)
* Wed Oct  6 2004 jsrain@suse.cz
- fixed displaying the links in the summary (now are inside <li>
  tags)
- "test" link in the summary is now localized
- network interface names are passed through String::EscapeTags
  in the summary (#46801)
* Tue Oct  5 2004 jsrain@suse.cz
- fix disabling of listenning to CUPS IPP bcasts during
  installation (#46822)
- 2.10.15
* Thu Sep 30 2004 jsrain@suse.cz
- fixed data checking causing crash (#46468)
- 2.10.14
* Mon Sep 27 2004 jsrain@suse.cz
- fixed freeze when detecting queues of a server (#46015)
- 2.10.13
* Thu Sep 23 2004 jsrain@suse.cz
- don't display popups when initializing CUPS or rebuilding
  database of drivers if running in command-line mode (just inform
  via text) (#45924)
- use SuSEFirewall::start to determine if firewall is enabled
  (#45914)
- 2.10.12
* Tue Sep 21 2004 jsrain@suse.cz
- finished updating documentation and converting it to docbook
* Fri Sep 17 2004 jsrain@suse.cz
- allow to disable listenning to IPP bcasts and adjust firewall
  settings from the main dialog (#45459)
- 2.10.11
* Tue Sep 14 2004 jsrain@suse.cz
- fixed testing SMB queues if pasword was specified (#45171)
- fixed testing if queue name for IPP queue is correct (#42140)
- distribute documentation written in docbook inside the package
* Tue Sep 14 2004 jsrain@suse.cz
- adapted testsuite to changes in yast2-firewall
- 2.10.10
* Thu Sep  9 2004 jsrain@suse.cz
- use "lpstat -r" instead of "lpq" when testing CUPS server
  accessibility ("lpq" failed if no queue was set) (#44915)
- allow testing individual queues directly from hardware proposal
- fixed reinstalling of all related packages (#44744)
- 2.10.9
* Fri Sep  3 2004 jsrain@suse.cz
- added GetModified and SetModified functions to _auto client
- fixed enabling/disabling a queue (#44625)
- started making documentation up-to-date and converting to docbook
- 2.10.8
* Fri Aug 27 2004 jsrain@suse.cz
- fixed usage of the &product; macro
- separate the number added to the proposed queue name in order to
  distinguish multiple queues for the same printer module by
  underscore ('_') (#44310)
- do not add hardvare vendor name to the proposed queue name
- display in class editation dialog the class members
- do not write default queue to /etc/cups/lpoptions (just remove
  the default queue mark from there) and set it in
  /etc/cups/printers.conf only in order to be compliant with other
  tools (#44237)
- inform in the summary about open ports in firewall for accepting
  IPP bcasts
- merged texts from proofread
- 2.10.7
* Thu Aug 19 2004 visnov@suse.cz
- fix command line return type
- 2.10.6
* Tue Aug 17 2004 jsrain@suse.cz
- fixed bug in wizard sequence causing crash (#43862)
- fixed Makefile for autogenerated documentation of PPD agent
- correctly initialize packages source and target before
  reinstalling packages (#42569)
- 2.10.5
* Wed Aug 11 2004 jsrain@suse.cz
- do not try to detect printers if cloning system via AutoYaST
  (#43627)
- 2.10.4
* Tue Aug 10 2004 jsrain@suse.cz
- merged texts from proofread
* Thu Aug  5 2004 jsrain@suse.cz
- added widgets for adjusting firewall configuration
- fixed testsuites
- 2.10.3
* Fri Jul 23 2004 jsrain@suse.cz
- dropped LPRng support
- updated testsuites
- cleaned-up the code
- updated sorting of PPD files (in order to propose the best one)
- 2.10.2
* Mon Jul 19 2004 jsrain@suse.cz
- using Package.*.ycp instead of Require.ycp
* Thu Jul 15 2004 jsrain@suse.cz
- adding multiple entries for PPD file to database if it contains
  * 1284DeviceID keys (#42988)
- fixed removing of removed PPD files from database (was broken
  when database structure was changed)
- fixed removing of the vendor name from model name if present
  at its beginning (#43051)
- 2.10.1
* Thu Jul  1 2004 jsrain@suse.cz
- changed the structure of the database of PPD files (file name
  is the key of the database now)
- added possibility to display all files at once (#37486)
- 2.10.0
* Wed Jun 30 2004 jsrain@suse.cz
- enhanced support of HP all-in-one (PTAL) devices (#40712)
- added trivial CUPS browsing proposal (#40713)
* Tue Jun 29 2004 jsrain@suse.cz
- don't cut away the "Series" suffix of printer model (#41784)
* Mon Jun 28 2004 jsrain@suse.cz
- fixed adding queue with unknown URI type, fixed handling
  the "file" URI type (#42093)
- fixed setting of options of PPD files that are represented as
  radio buttons (#41792)
* Thu May 13 2004 jsrain@suse.cz
- fixed YCP compiler warnings (#40416)
- 2.9.26
* Tue May 11 2004 jsrain@suse.cz
- fixed setting of CUPS permissions (#40039)
- 2.9.25
* Tue May  4 2004 jsrain@suse.cz
- merged texts from proofread
- do not add '-P' parameter to samba_print command line (#38500)
- fixed printed PPD file on test page (#38484)
- fixed typos on testpage (#37095)
- fixed readable version of remote LPD queues (removed 'Filtering'
  from the beginning as they don't have to be filtering) (#38706)
- printing full PPD file nick name on the test page (#37488)
- 2.9.24
* Tue Apr  6 2004 jsrain@suse.de
- fixed behavior of lookup button for SMB queues (#38494)
- 2.9.23
* Fri Apr  2 2004 jsrain@suse.de
- changed license to GPL
- 2.9.22
* Fri Apr  2 2004 jsrain@suse.de
- fixed getting list of available queues of local or remote CUPS
  server (#38108)
- 2.9.21
* Thu Apr  1 2004 jsrain@suse.de
- restarting CUPS before printing test page (#37642)
- killing listen_remote_ipp before printing test page or writing
  configuration if still running (#37860)
- 2.9.20
* Wed Mar 31 2004 jsrain@suse.de
- fixed setting paper size for detected printers
- ASCII test page doesn't contain localized non-ASCII characters
  (wasn't printed properly with non-ASCII characters) (#37648)
- fixed proposed queue names during hardware proposal (#37552)
- do not try to open file with empty name (if detection of printer
  model fails
- 2.9.19
* Mon Mar 29 2004 jsrain@suse.de
- fixed testsuite
- removed lookup button for SMB queues (#33169)
- fixed test_remove_smb script (#33169)
- 2.9.18
* Fri Mar 26 2004 jsrain@suse.de
- correctly count checksums of PPD files
- prefer Foomatic PPDs to PPDs from manufacturers for printers
  that don't understand PostScript in basic configuration
- fixed testing USB connection for CUPS-like devices (#37129)
- fixed detection of spooler if configuring first time for AustYaST
  profile (#36888)
- 2.9.17
* Mon Mar 22 2004 jsrain@suse.cz
- install also package with PPD files provided by manufacturers
- fixed Makefile of CUPS and PPD agents
- cleanup after duplicate ASCII test pages
- use &product; macro instead of Product::name (as it is possible
  in all RichTexts)
- 2.9.16
* Fri Mar 19 2004 mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Thu Mar 18 2004 jsrain@suse.cz
- fixed detection of parallel ports (#36402)
* Mon Mar 15 2004 jsrain@suse.cz
- fixed testpage printing from the printing filter options dialog
  (not all options were used properly) (#35801)
- reduced spacings in some dialogs, some dialog captions shortened
  (because of the new wizard)
- fixed comments for translators and ydoc
- not using commandline.ycp include
- prefer PPD files provided by manufacturers to other PPD files
  (except downloaded ones)
- wizard buttons consistent with other modules (cancel in the
  first dialog)
- storing information about drivers available on installation
  media
- checking if LPRng is available before offering it as spooler)
- 2.9.15
* Thu Mar 11 2004 jsrain@suse.de
- check installed spooler when called from hardware proposal
  (#35664)
- lowered severity of message about unproperly installed spooler
  in the hardware proposal (#35227)
- installing printer drivers when they are needed, doesn't check
  if they are installed during startup (#35227)
- updated URLs pointing to on-line info about printer compatibility
  to new SUSE Portal
- get model name from correct entry of the PPD file
- 2.9.14
* Wed Mar 10 2004 jsrain@suse.de
- fixed division by zero in PPD agent (#35143)
* Wed Mar 10 2004 jsrain@suse.de
- fixed testsuite
- 2.9.13
* Wed Mar 10 2004 sh@suse.de
- V 2.9.12
- Migration to new wizard
* Tue Mar  9 2004 jsrain@suse.de
- Require -> Package (partially)
* Mon Mar  8 2004 jsrain@suse.de
- setting icon
- 2.9.11
* Sun Mar  7 2004 kkaempf@suse.de
- more type fixes
* Thu Mar  4 2004 jsrain@suse.de
- more descriptive texts on the test page (#35306)
* Wed Mar  3 2004 jsrain@suse.de
- data types more strict
* Mon Mar  1 2004 jsrain@suse.de
- making all check for PPD file name added to database ignoring
  case (#34767)
- merged texts from proofread
- 2.9.8
* Sat Feb 28 2004 kkaempf@suse.de
- use counted pointer for YCode
* Thu Feb 26 2004 jsrain@suse.de
- adding also *.PPD files to database (the check for file name made
  case insensitive) (#34767)
* Sun Feb 22 2004 kkaempf@suse.de
- adapt testsuite to yast2-core
- 2.9.6
* Thu Feb 19 2004 jsrain@suse.de
- reduced neededforbuild and requires
- using Require to query installed packages and determine spooler
- fixed exporting CUPS server name for autoinstallation (#34689)
* Thu Feb 19 2004 mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch to std::sort
* Fri Feb 13 2004 jsrain@suse.de
- fixed .scr files
- adapted for kernel 2.6 (new name of usb printer module)
- fixed printer adding sequence
- 2.9.5
* Sat Feb  7 2004 nashif@suse.de
- removed y2cc files
- 2.9.4
* Wed Feb  4 2004 jsrain@suse.de
- testsuite fixes
- 2.9.3
* Fri Jan 30 2004 jsrain@suse.de
- tesuite fixes
- other fixes
- 2.9.2
* Fri Jan 16 2004 jsrain@suse.de
- merged the new interpreter branch
* Thu Dec 11 2003 jsrain@suse.de
- using (improved) INI-agent for reading and writing CUPS
  configuration files instead of ugly awk scripts, some internal
  structures updated
* Thu Dec  4 2003 jsrain@suse.de
- added command line support
* Tue Dec  2 2003 jsrain@suse.de
- fixed autoinstalaltion support
- added support for (partial) import of autoinstallation map
  created using older version (esp. SLES8) (#33127)
- fixed paths for theme pictures for test page
- several other fixes
- 2.9.1
* Thu Nov 27 2003 jsrain@suse.de
- syntax fixes for the new interpreter
* Fri Nov 14 2003 jsrain@suse.de
- reading configuration data primarily from spooler (and not from
  YaST's own configuration file
- adapted testsuites
- fixed minor workflow problem
- cleaned printer deletion code
- cleanup of structure representing particular queue and related
  routines
* Thu Nov  6 2003 jsrain@suse.de
- added support for localized PPD files (recoding of the texts)
* Wed Nov  5 2003 jsrain@suse.de
- added checking of constraints defined in PPD files
* Tue Nov  4 2003 jsrain@suse.de
- added support for PickMany and Boolean option types of PPD files
* Thu Oct 30 2003 jsrain@suse.de
- updated to use new testpage with themes support (#21661)
- printing meaningful info on testpage for raw queues (#30118)
* Fri Oct 24 2003 jsrain@suse.de
- broken import cycles of YCP modules, code reorganization
- 2.9.0
* Thu Sep 25 2003 jsrain@suse.de
- restart CUPS server if ptal device detected (#31692)
- reinitialize CUPS server name before adjusting default queue
  in /etc/cups/lpoptions (#31547)
* Fri Sep 19 2003 jsrain@suse.de
- fixed suplicate occurences of vendor names in vendor list (#31389)
- fixed testpage printing for multiple proposed queues (#31400)
- fixed detection of queues of remote IPP server's (#31416)
- fixed testsuite again
- 2.8.23
* Thu Sep 18 2003 nashif@suse.de
- fixed testsuite again
- 2.8.22
* Thu Sep 18 2003 nashif@suse.de
- fixed testsuite
- 2.8.21
* Thu Sep 18 2003 jsrain@suse.de
- install ghostscript-x11 if no ghostscript package is installed
  (dependency on ghostscript_any can't be solved automatically)
  (#25617)
- 2.8.20
* Mon Sep 15 2003 jsrain@suse.de
- fixed adding user constraints to printers (#30790)
- 2.8.19
* Thu Sep 11 2003 jsrain@suse.de
- removed obsolete ghostscript call when configuring LPRng printer
  (#30401)
* Tue Sep  9 2003 jsrain@suse.de
- adjusting hotlug instead of hotplug_usb again (because of
  reverted change in hotplug package)
- 2.8.18
* Fri Sep  5 2003 jsrain@suse.de
- merged texts from proofread
- fixed adding of support status of printers without any PPD file
  to database (#30120)
- 2.8.17
* Thu Sep  4 2003 jsrain@suse.de
- added available support status data for printer models
- reinitialize package manager's target after packages are
  installed or removed, (workaround of #24986)
- fixed creating of database of PPD files during package building
  (files with additional information weren't used correctly)
- 2.8.16
* Wed Sep  3 2003 jsrain@suse.de
- fixed checking for changed in database of printers
- creating symlink /etc/printcap -> /etc/cups/printcap if CUPS
  spooler is used (#29671)
* Tue Sep  2 2003 jsrain@suse.de
- marked missed texts for translation
- not allowing to download PPD files when using LPRng
  (and cupstestppd isn't installed)
- added missing leading slash to proc/bus/usb/001
- print the chameleon photo on testpage if non-postscript printer
  (#29844)
* Mon Sep  1 2003 jsrain@suse.de
- reverted fix of #29432 in order to do the same as is described
  in documentation
- "hotplug_usb status" doesn't return any meaningful exit code,
  check if proc/bus/usb/001 exists instead
- fixed detection of changes of PPD files (#29802)
- always adjust CUPS to be run if CUPS full server configuration
  (#29413)
- 2.8.15
* Fri Aug 29 2003 jsrain@suse.de
- adjusting hotlug_usb instead of hotplug
- delete queues deleted not using YaST2, but using CUPS tools
  (#29432)
- 2.8.14
* Thu Aug 28 2003 jsrain@suse.de
- checking for valid CUPS server hostname before testing the
  connection to the server (#29414)
- fixed forgetting of CUPS server in CUPS client-only dialog
  (#29411)
- deleting /etc/printcap before switching CUPS -> LPRng (#29440)
- /usr/bin/rm -> /bin/rm
- confirm hardware detection in manual mode (#26515)
* Tue Aug 26 2003 jsrain@suse.de
- enabling hotplug service before ptal service is enabled
* Tue Aug 26 2003 jsrain@suse.de
- fixed initialization of ptal driver
- 2.8.13
* Mon Aug 25 2003 jsrain@suse.de
- fixed plural form in popup informing about files added to
  database (#29152)
- better report when testing filtering queue without setting
  printer model (#29159)
- not deleting proposed queues when running from hardware proposal
  (#29156)
- 2.8.12
* Wed Aug 20 2003 jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.11
* Tue Aug 19 2003 jsrain@suse.de
- updated configuration reading function
- removed duplicate records from /var/lib/YaST2/printer
- 2.8.10
* Mon Aug 18 2003 jsrain@suse.de
- testpage update
- HP all-in-one devices detection fixed
- several fixes
- 2.8.9
* Thu Aug 14 2003 jsrain@suse.de
- removed /etc/sysconfig/printer file handling routines (#28730)
- not asking if remove unneeded CUPS packages when switching to
  CUPS client-only (#28728)
- added checking of existence of called scripts (/etc/init.d/lpd,
  /etc/init.d/hotplug) (#28733)
- fixed detection of printers during module startup (user had to
  push the "Restart detection" button)
- Don't ask user if he wants to save settings, don't display popup
  "Saving OK" (#28729)
- Updated configuration writing function
* Mon Aug 11 2003 jsrain@suse.de
- merged texts from proofread
- fixed crash when saving configuration
- updated HP all-in-one (ptal) devices handling
- 2.8.8
* Fri Aug  8 2003 jsrain@suse.de
- fixed printer proposal if no local printer found
- replaced summary string informing about listenning to remote CUPS
  servers broadcasts with better understandable message (#28462)
- fixed forgotten running spooler after abort if wasn't running
  before printer configuration
- fixed testpage printing immediately after switch from CUPS
  client-only configuration to full CUPS server confguration
* Mon Aug  4 2003 jsrain@suse.de
- displaying error if samba-client or ncpfs package isntallation
  fails
- added .desktop file
- 2.8.7
* Fri Aug  1 2003 jsrain@suse.de
- added detection of ptal devices (for CUPS) (#25674)
- 2.8.6
* Wed Jul 30 2003 jsrain@suse.de
- fixed building
- 2.8.5
* Thu Jul 24 2003 jsrain@suse.de
- fixed proposal - removed unwanted redrawing of screen
- 2.8.4
* Tue Jul 22 2003 jsrain@suse.de
- unsetting CUPS_SERVER variable et all (#17651)
- fixed configuring queue via setting URI directly (#28124)
* Mon Jul 21 2003 jsrain@suse.de
- also default queue for LPRng is assigned without any environment
  variable (#27259)
* Fri Jul 11 2003 jsrain@suse.de
- added possiblity to set default queue for CUPS client-only
  configuration
- 2.8.3
* Thu Jul 10 2003 jsrain@suse.de
- removed the Info button from model selection dialog as there is
  no info in Foomatic database
- default queue for CUPS is assigned without any environment
  variable (#27259)
* Wed Jul  9 2003 jsrain@suse.de
- added possibility to download PPD files via HTTP/FTP (#14631)
* Tue Jul  8 2003 jsrain@suse.de
- fixed packages checking, adapted to foomatic for LPRng usage
* Tue Jun 24 2003 jsrain@suse.de
- added function to get all available queues (local and remote)
* Mon Jun 23 2003 jsrain@suse.de
- fixed files not owned by any package
- fixed common_popups, common_messages -> YCP modules
- fixed missing imports
- 2.8.2
* Wed Jun  4 2003 jsrain@suse.de
- allowed upper letters in queue names (#27163)
- fixed model selecting in NCurses (#27191)
* Mon May 26 2003 jsrain@suse.de
- improved CUPS server detection, now allows both active and
  passive method
* Fri May 16 2003 jsrain@suse.de
- updated LPRng spooler support, now supports Foomatic
* Wed May 14 2003 jsrain@suse.de
- added prebuilt database of PPD files to this package
- updated dialogs, workflow and helps
- 2.8.1
* Tue May  6 2003 jsrain@suse.de
- added possibility to configure workgroup of samba printers
  (#26483)
* Mon May  5 2003 jsrain@suse.de
- fixed default value for Browsing option of CUPS server (#26516)
- other monor updates
* Wed Apr 23 2003 jsrain@suse.de
- updated checking of correctnes of PPD file (#19714), other minor
  updates
* Wed Apr 16 2003 jsrain@suse.de
- dropped SuSE database support
- code cleanup
* Tue Apr  8 2003 jsrain@suse.de
- showing status of queues in summary (#24816)
- fixed displaying of already configured printers in the list of
  detected printers (#25423)
* Mon Apr  7 2003 jsrain@suse.de
- fixed saving of CUPS client-only installation during installation
  (#26097)
* Wed Apr  2 2003 jsrain@suse.de
- fixed sorting of models in list - now is done according to locale
- code cleanup
- some optimalizations
- documentation update
* Fri Mar 28 2003 jsrain@suse.de
- minor change of PPD database format
- added support for faster rebuilding of PPD database
- PPD agent optimalizations
- 2.8.0
* Fri Mar 21 2003 jsrain@suse.de
- updated ppd agend documentation
- updated testsuites
- fixed choosing PPD file for configuration proposing - in some
  seldom cases returned not optimal PPD file
* Fri Mar 14 2003 jsrain@suse.de
- fixed setting focus of OK button in test printer dialog (#25385)
* Fri Mar 14 2003 jsrain@suse.de
- removed popup whether delete unneeded packages during
  autoinstallation.  These packages aren't removed and user isn't
  asked during autoinstallation now (#25350)
- 2.7.17
* Wed Mar 12 2003 jsrain@suse.de
- now installing filters package when switching to CUPS (#25181)
- removed superfluous help text (#25188)
- 2.7.16
* Tue Mar 11 2003 jsrain@suse.de
- fixed displaying of printer name when adding queue to an existing
  printer (#25046)
- fixed encoding of characters on testpage (#25085)
* Mon Mar 10 2003 jsrain@suse.de
- fixed lpdfilter's lprsetup calling (#24979)
- 2.7.15
* Fri Mar  7 2003 jsrain@suse.de
- fixed page size of detected printer setting (#24712)
- fixed labels on buttons of popup before configuration saving
  (#24815)
- 2.7.14
* Wed Mar  5 2003 jsrain@suse.de
- added new testsuites for PPD agent
* Tue Mar  4 2003 jsrain@suse.de
- updated documentation
- added testsuite for PPD agent
* Mon Mar  3 2003 jsrain@suse.de
- patched texts from final proofreading
- fixed Foomatic and SuSE database coexistence problems (#24060)
- forcing printer.o loading when hotplug starts if problem with
  automatical loading if USB printer present is detected (#22580)
- 2.7.13
* Mon Mar  3 2003 jsrain@suse.de
- fixed order of paragraphs of help to remote connections (#19158)
- fixed loading of printer.o module if needed (#22580)
* Thu Feb 27 2003 jsrain@suse.de
- showing Test button for network queues during installation
  (Mode::cont) (#24372)
- updated according to new Foomatic PPD files
- fixed configuring printers without Foomatic PPD file (#24090)
* Wed Feb 26 2003 jsrain@suse.de
- fixed foomatic support for autoinstallation (#24305)
* Tue Feb 25 2003 jsrain@suse.de
- fixed raw queue help text witn CUPS (#24239)
- allowed to better mix Foomatic and SuSE dadabase data (#24060)
- workflow fix, now always asking for device and model of not
  detected printer (#24240)
- better handling of printers without Foomatic entry (#24010)
- 2.7.12
* Mon Feb 24 2003 jsrain@suse.de
- tables now corectly react on double click (#24095)
- added prebuilt foomatic database to yast2-printerdb package,
  added handling of prebuilt database (#23917)
- added explainiation to database building progress bar (#24006)
- added time limit for looking for IPP servers (#23915)
- 2.7.11
* Fri Feb 21 2003 jsrain@suse.de
- now not asking for testing printers if were tested in proposal
  (#24011)
- 2.7.10
* Thu Feb 20 2003 jsrain@suse.de
- fixed errors in log during installation (#23806)
- fixed sequence when no queue is automatically proposed (#23835)
- fixed sorting of mixed uppercase/lowercase printer model names,
  additionally known problematic names changing to usual
  capitalization (#23834)
- fixed help text to "CUPS USB Device Name Type" dialog (#23972)
* Wed Feb 19 2003 jsrain@suse.de
- updated ydoc comments
* Tue Feb 18 2003 jsrain@suse.de
- fixed adjusting of default page size according to locale
  (used PPD file's defaults, typically Letter, now prefers in
  Europe A4)
- fixed displaying of CUPS-like USB device names (didn't include
  serial number)
* Mon Feb 17 2003 jsrain@suse.de
- fixed import function (#23690)
- fixed re-proposing of CUPS client-only configuration
- 2.7.9
* Tue Feb 11 2003 jsrain@suse.de
- updated detection of CUPS servers
* Mon Feb 10 2003 jsrain@suse.de
- added proposing of CUPS client-only configuration
- merged texts from 3rd round of proofreading
- updated method of detection whether module is run by root
- 2.7.8
* Fri Feb  7 2003 jsrain@suse.de
- fixed configuration of printers autoinstallation (#21998)
- fixed handling of window title-bar close button
- 2.7.7
* Thu Feb  6 2003 jsrain@suse.de
- merged proofread texts from second round
- added support for non-filtering queues in CUPS
* Mon Feb  3 2003 jsrain@suse.cz
- several updates and fixes
- 2.7.6
* Wed Jan 29 2003 jsrain@suse.cz
- Added support for new CUPS USB device names
- Added "Pages per sheet" and "Page orientation" options
- Merged proofread texts
* Tue Jan 28 2003 jsrain@suse.de
- Fixed sorting of PPD files in PPD file selection
- Fixed deleting of PPD file when was used
- Added possibility to modify model of autodetected printer
* Thu Jan 23 2003 jsrain@suse.de
- Foomatic database not initializing during hw proposal if not
  needed (#23051)
- Fixed translating of SuSE printers database entries (#19948)
- 2.7.5
* Tue Jan 21 2003 jsrain@suse.de
- updated Foomatic support
- fixed some usability problems
* Mon Jan 20 2003 jsrain@suse.de
- added support for pipe and novell printing with CUPS
- updates of Foomatic database support
- 2.7.4
* Wed Jan 15 2003 jsrain@suse.de
- removed printing to file support
- added support for using some info from SuSE database when using
  Foomatic
- updated help texts
- added additional data files
* Fri Jan 10 2003 jsrain@suse.de
- workflow and dialogs updates
- added model equivalence list support
- added ppd file preference list support
- updated autoinstallation client, removed write client
- 2.7.3
* Mon Jan  6 2003 jsrain@suse.de
- severtal updates of Foomatic database support
- 2.7.2
* Fri Dec 20 2002 jsrain@suse.de
- added basic support for foomatic database
- fixed meaningless help text (#22211)
* Fri Dec  6 2002 jsrain@suse.cz
- now calling always local CUPS server, ignoring environment
  variable (#21933)
- added more meaningful error messages (#17365)
- 2.7.1
* Thu Nov 28 2002 jsrain@suse.cz
- added better helptexts (#20131, #18929)
- fixed ordering of help for advanced connections dialog (#19158)
- corrected test disabling (#19693) (jsuchome)
- added test for the case of the bug #19831 (jsuchome)
- added test for the case of the bug #19831 (jsuchome)
- 2.7.0
* Tue Oct  8 2002 jsrain@suse.cz
- fixed spooler detection and hardware proposal behaviour in case
  of inproperly installed spooler (#20681)
- 2.6.42
* Mon Oct  7 2002 jsrain@suse.cz
- fixed seting of default queue (#20510)
- 2.6.41
* Wed Oct  2 2002 jsrain@suse.cz
- fixed testpage printing after changing queue from YaST2 PPD file
  to non-YaST2 PPD file (#20208)
* Tue Oct  1 2002 jsrain@suse.cz
- fixed spooler switching (resulted to incomplete spooler installed)
- 2.6.40
* Mon Sep 30 2002 jsuchome@suse.cz
- changed button labels for "Clear current configuration" popup (19824)
* Mon Sep 30 2002 jsrain@suse.cz
- made user selection dialog wider because of translations (#19160)
- not showing help for other connection if not in dialog (#20133)
* Thu Sep 26 2002 jsuchome@suse.cz
- fixed bug 20151 (module crashes due to wrongly defined sequences)
* Mon Sep 23 2002 jsuchome@suse.cz
- corrected tests for printing the testpages
* Fri Sep 20 2002 jsuchome@suse.cz
- also ascii testpage changed (bugs 19771, 19777)
- forgotten text added to translation
- fixed bug 19579 (adding manual parameters to printers)
- 2.6.39
* Thu Sep 19 2002 jsuchome@suse.cz
- UnitedLinux test page is used to print when needed
* Tue Sep 17 2002 jsuchome@suse.cz
- added check for NULL strings when reading ppd file
  to avoid bug #19714
* Thu Sep 12 2002 jsuchome@suse.cz
- added a hackto avoid bug #19426
  (reinstalation of printer packages doesn't work properly)
* Wed Sep 11 2002 jsuchome@suse.cz
- added temporary hack for bug #19354
  (strange tailing characters at the end of ppd file)
- 2.6.38
* Tue Sep 10 2002 jsuchome@suse.cz
- fixed switching CUPS <-> LPRng (bugs #19224, #19226)
- added cups-drivers-stp to delete (#19287)
- corrected parameters for Pkg::DoProvide
* Tue Sep 10 2002 mvidner@suse.cz
- Require /usr/bin/host to show names of print servers (#19199).
- 2.6.37
* Mon Sep  9 2002 mvidner@suse.cz
- S390/S390x do not have local printers,
  so no warning and no probing is necessary (#19186).
- Fixed failed test case "tests" by faking more Pkg.
- 2.6.36
* Fri Sep  6 2002 jsrain@suse.cz
- fixed provides/obsoletes
- 2.6.35
* Thu Sep  5 2002 jsrain@suse.cz
- fixed help text for printer URI setting dialog
- 2.6.34
* Wed Sep  4 2002 jsrain@suse.cz
- fixed testpage with non-YaST PPD file (Bug #18879)
- 2.6.33
* Tue Sep  3 2002 jsrain@suse.cz
- fixed detection if printer deleted outside YaST (Bug #18820)
- adaptations to new package manager (not tested yet)
* Mon Sep  2 2002 jsrain@suse.cz
- minor ASCII testpage update
- CUPS starting update
- 2.6.32
* Fri Aug 30 2002 jsrain@suse.cz
- fixed remote hosts lookup
- 2.6.31
* Thu Aug 29 2002 jsrain@suse.cz
- fixed testsuites
- fixed package manager initialization
- 2.6.30
* Wed Aug 28 2002 jsrain@suse.cz
- removed obsolete documentation
- fixed remote queues detection
- 2.6.29
* Tue Aug 27 2002 jsuchome@suse.cz
- provide/obsolete old translation packages
* Tue Aug 27 2002 jsrain@suse.cz
- minor update of testpage
- fixed cups server starting
- 2.6.28
* Mon Aug 26 2002 jsrain@suse.cz
- fixed adjusting services (CUPS and LPD)
- minor testpage and filter settings modifications
- removed J*tD*r*ct string
- 2.6.27
* Thu Aug 22 2002 kkaempf@suse.de
- adapt to new package manager
* Thu Aug 22 2002 nashif@suse.de
- use Y2Logging namespace for logging
- 2.6.26
* Mon Aug 19 2002 jsrain@suse.cz
- Allowed to lookup TCP port printers on other ports than 9100
- Dead code removing
- Minor fixes
- 2.6.25
* Fri Aug 16 2002 jsrain@suse.cz
- Fixed checking whether CUPS server is running
- Fixed Printer detection (Bug #17629)
- Fixed workflow on S390 (Bug #17628)
- Fixed help settings
- Merged proofread texts
- Fixed kdoc comments
- 2.6.24
* Sun Aug 11 2002 mvidner@suse.cz
- Fix building (testsuite adapted to changes in yast2.rpm, due to #17608).
* Fri Aug  9 2002 jsrain@suse.de
- fixed escputil hangup (Bug #17462)
- fixed USB queues configuration for CUPS (Bug #17284)
- asking for detection during installation too
- fixed USB Epson printers configuration for LPRng
- several minor updates and fixes
- 2.6.22
* Mon Aug  5 2002 jsrain@suse.cz
- added popup while initializing CUPS server (Bug #17365)
- 2.6.21
* Fri Aug  2 2002 jsrain@suse.cz
- more checking whether CUPS server running added (Bug #17365)
- not proposing printers not available for both CUPS and LPRng
- 2.6.20
* Fri Aug  2 2002 jsrain@suse.cz
- printer database stuff separated into an extra package
- 2.6.19
* Tue Jul 30 2002 jsrain@suse.cz
- fixed comments for translators
- 2.6.18
* Fri Jul 26 2002 jsrain@suse.cz
- removed yast2-runlevel from required packages
- printerdb.pot now doesn't contain unwanted texts
- added old yast2-trans- packages to Provides/Obsoletes
- 2.6.17
* Mon Jul 22 2002 jsrain@suse.cz
- merged proofread texts
- fixed database .pot-file generation
* Fri Jul 19 2002 jsrain@suse.cz
- cups server settings reloaded after confifguraton changed
- testpage fixed
- some message fixed
- minor updates
* Tue Jul 16 2002 jsrain@suse.cz
- printer proposal fixed
* Mon Jul 15 2002 jsrain@suse.cz
- sequences fixes
- several minor updates
* Mon Jul 15 2002 arvin@suse.de
- fixed path for printer database
* Mon Jul 15 2002 jsrain@suse.cz
- documentation update (Bug #16850)
* Fri Jul 12 2002 arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Fri Jul 12 2002 jsrain@suse.cz
- Minor texts updates
- May contain wrong dialog sequences (because of first text-freeze)
* Fri Jul 12 2002 jsrain@suse.cz
- Added CUPS server configuration support
- Several bugfixes
- Updates of dialogs
* Fri Jul  5 2002 arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Wed Jul  3 2002 jsrain@suse.cz
- Updates of proposal, write and auto functions
- Several fixes and minor updates
* Tue Jul  2 2002 jsrain@suse.cz
- Several fixes
- Dialogs updates
- Merged cups agent and printer database, all printer related code
  is in this package now
- Renamed to yast2-printer
* Mon Jun 24 2002 jsrain@suse.cz
- Helps updates
- Added sorting of installed printers
- Dialog sequence updates
- nonYaST ppd file dialog update, added test button
- Added pipe printing
- Fixed serial printing (Bug #16692)
- Several bugfixes
- Enhanced consistency between spoolers
* Mon Jun 17 2002 jsrain@suse.cz
- Added CUPS client-only configuration support
- Added IrDA support
- Added start from scratch
- Added checking printer configuration by selected spooler
- Updated helps
- Added database switching support
- Updated checking of running CUPS server
* Thu Jun  6 2002 jsrain@suse.cz
- Updated dialogs and sequences
- Added support for manufacturer's PPD files (Bug #14631)
- Updated sorting of autodetected printers (Bugs #13720 and #15680)
* Mon Jun  3 2002 jsrain@suse.cz
- Updated functionality, now configures CUPS classes
- Updated interface to CUPS agent
* Fri May 24 2002 jsrain@suse.cz
- Updated functionality, now able to configure CUPS printers
- Updates of user dialogs
* Fri May  3 2002 jsrain@suse.cz
- Fixed: "/" now allowed in remote queue names (Bug #16023)
- Documentation file internals.html is installed too.
- Fixed: printing did not work when username or password were
  specified for samba or novell printer. Redirect scripts were
  called improperly.(Bug #15936)
* Thu Apr 18 2002 pblahos@suse.cz
- Uses agent instead of client for reading samba queues.
* Mon Apr  8 2002 pblahos@suse.cz
- Uses .printerdb instead .printerdb.lpd (accordingly to the
  changes in printer db agent)
- Text "Can not install printer" changed to "Warning" because it
  was used also for supported-problematic printers (Bug #15481)
* Thu Mar 21 2002 pblahos@suse.cz
- Buttons for testing remote printers/connections are hidden
  during the installation. Network probably doesn't work yet.
  Also testing of raw printers is disabled. (Bug #15192)
- /usr/lib/lpdfilter/bin/lprsetup is called instead of link
  /usr/sbin/lprsetup. (Bug #15212)
- When creating new prefilter and forwarding queues at once,
  forwarding queue name wasn't checked for uniqueness (Bug #15218)
* Mon Mar 18 2002 pblahos@suse.cz
- _auto module doesn't perform autodetection anymore. (Bug #15083)
* Fri Mar 15 2002 pblahos@suse.cz
- Added _( ) around "Configuration options". (Bug #15029)
* Wed Mar 13 2002 pblahos@suse.cz
- Changed button Continue --> OK to satisfy text. (Bug #14836)
- Fixed test of prefiter queues. Corresponding forwarding queue
  wasn't written (Bug #14475)
- Samba/Novell password isn't written into /etc/printcap but to
  /etc/lpdfilter/$QUEUE/redirect, which is lp:lp 0750 (Bug #14106)
* Mon Mar 11 2002 pblahos@suse.cz
- Hi-color image isn't printed in test print on postscript printers
  (Bug #13776)
* Fri Mar  8 2002 pblahos@suse.cz
- Installation::continue_mode doesn't exist anymore. Now Mode::cont
  must be used. (Bug #14587)
* Wed Mar  6 2002 pblahos@suse.cz
- _auto module returns $[] if there is no change (Back or Abort
  pressed) (Bug #14526)
- Directory /etc/gs.upp isn't created anymore. (Bug #14531)
- Popup "Changes will be saved" isn't shown during proposal.
  (Bug #14471)
- Formfeed was handled incorrectly. (Bug #14254)
* Mon Mar  4 2002 kkaempf@suse.de
- Replace empty locale (translatable string) with normal string,
  (empty strings can't be translated, see #14370).
* Wed Feb 27 2002 pblahos@suse.cz
- Comment for option is shown if any. (Bug #13992)
- Added comment pointing to an exemplary options into printer
  conf file. (Bug #13954)
- Uses ieee identifiers in addition to db identifiers when getting
  printer name (Bug #13957)
- Correct handling of radio buttons when selecting way of
  configuration of autodetected printer. (Bug #13956)
* Mon Feb 25 2002 pblahos@suse.cz
- Queue used for testing printer is called y2test.
- Testmode changed: now it works as a screenshot mode.
* Thu Feb 21 2002 pblahos@suse.cz
- Longer -- more descriptive printer entry in summary.
- Implemented checking of string validity in ValueText
- Links for testing each print queue added to the very first screen
  of printconf (Bug #13514)
* Mon Feb 18 2002 pblahos@suse.cz
- Main printconf module returns `back, `next or `abort
- Unique keys are saved to libhd.
* Fri Feb  8 2002 pblahos@suse.cz
- '-' and '_' must not be the first character in the queue name
  (Bug #13114)
- When autoconfiguring printer, the same numeric suffix is appended
  to all queues added to one printer. (Bug #13112)
- Button 'OK' changed to 'Printout finished' during testpage
  printing. Button 'OK' is too attractive. (Bug #13111)
* Thu Feb  7 2002 pblahos@suse.cz
- Supports Textual options and options aliases (Compound options)
- Proposal infrastructure.
- Reloading of database implemented.
* Mon Feb  4 2002 pblahos@suse.cz
- support for vendor-supplied databases
- .rc.config.DEFAULT_PRINTER replaced by .sysconfig.printer.DEFAULT_PRINTER
- Call lprsetup with -color.
- Fixed: agent for reading printcap handles result and does not hang
  if there is a comment in printcap
- Added help text saying that default printer becomes default after
  login. (Bug #12065)
- support for foreign database
- "raw" state of the remote printer was set to invalid value (nil)
  and hence the printer wasn't shown in summary (Bug #12970)
* Wed Jan 30 2002 pblahos@suse.cz
- names of files from /etc/lpdfilter are now allowed as queue names
- '-' allowed in queue name
- code for reading princap and printer settings moved to agent
- Fixed: selection of configuration by clicking on the richtext
  widget didn't work, combo content was grabbed instead.
* Mon Jan 28 2002 pblahos@suse.cz
- SuSEconfig run and restart of service removed from printconf_write
- printcap lines needn't be finished by \ (backslash)
- lp1, raw, remote are again allowed as printer names
- Adding remote printer works again.
* Mon Jan 21 2002 pblahos@suse.cz
- Buttons OK and Cancel switched on the parallel port details dialog
- Uses lpdfilter.
- Uses new postscript test page.
* Fri Jan 11 2002 pblahos@suse.cz
- parallel ports io ports may be specified (Bug#12523)
- uses module Summary
- when adding printer, does initial paper size selection by
  regional settings.
- uses module Report to report errors during save.
* Mon Jan  7 2002 pblahos@suse.cz
- printconf_auto.ycp: file for autoinstallation data preparation.
* Fri Jan  4 2002 pblahos@suse.cz
- Uses yast2-agent-printerdb as printer database server.
* Wed Dec  5 2001 pblahos@suse.cz
- After lookup for hosts on network, first is selected.
- Added 3rd parameter to select to satisfy new libycp.
- Only lower-case queue names are allowed since now. (Bug 12541)
- More encodings in ascii printing settings. All encoding ogonkify
  understands used.(Bug 12522)
* Mon Dec  3 2001 pblahos@suse.cz
- Uses y2autoconf and create-spec.
* Wed Nov 28 2001 pblahos@suse.cz
- More test cases.
- Some functions moved from yast2-lib-printer.
* Tue Nov 27 2001 pblahos@suse.cz
- Return values added to function headers.
- Uses module Runlevel instead of client runlevel_adjust.
* Fri Nov 23 2001 pblahos@suse.cz
- Some function moved to y2l_printer.
* Tue Nov 20 2001 pblahos@suse.cz
- Implements module.
* Wed Nov  7 2001 pblahos@suse.cz
- Really all lookups have 3 parameters.
* Wed Nov  7 2001 pblahos@suse.cz
- Added third parameter to all lookups.
- Button Set as default is placed below Add/Edit/Delete buttons.
  Hopefully now there is enough space for French translations.
  (Bug 11980)
- Migrated to module Wizard
- Saving of ascii print features works again.
* Fri Oct 26 2001 pblahos@suse.cz
- Predefined names for /dev/usb/lp0-7
- Can print to disk file.
- printconf now saves only currently tested printer (and possibly
  its forwarding queue) when doing test-print (Bug #11993)
- printconf is more careful when deleting deleted printer queues
  from disk (Bug #12020)
- Permissions 0755 are set to /etc/gs.upp (Bug #12017)
* Thu Oct 25 2001 pblahos@suse.cz
- Writting is faster.
- Permissions 0644 are set to /etc/printcap also when doing test
  print (Bug #6291)
* Wed Oct 24 2001 pblahos@suse.cz
- Uses module Progress instead of include progress
- Uses wizard sequencer
- More baud rates for serial printers
* Tue Oct 16 2001 pblahos@suse.cz
- Migrated to yast2 devtools
* Wed Oct 10 2001 pblahos@suse.cz
- Lookup for all hosts on local network, or for samba servers or
  lpd servers (with opened port 515) is possible. (Bug #9201)
* Mon Oct  1 2001 pblahos@suse.cz
- Error/informational messages fixed (Bug #10278)
- It is possible to run configuration even if there is no
  printer database or spooler can not be started.
- When no print-spooler is installed, installation of lprng is
  offered.
* Mon Sep 17 2001 pblahos@suse.cz
- When in installation, printconf stops lpd when exiting.
  (Bug #10638)
* Fri Sep 14 2001 pblahos@suse.cz
- Abort button works properly in Features dialog. (Bug #10652)
- When testpage printing is not successful, output from lpr
  is shown (Bug #10277)
* Fri Sep 14 2001 pblahos@suse.cz
- Now apsfilter-setup should not fail to run without reason (#10265)
* Fri Sep  7 2001 pblahos@suse.cz
- creates empty /etc/printcap if it does not exist before starting
  lpd (Bug 10284)
- if unsuccessful in starting lpd, does not bail out (Bug 10284)
- "all" is forbiden as queue name (Bug 10280)
- /dev/usblp? replaced by /dev/usb/lp?
- Unused functions were removed.
- Progress bar fixed: Labels are shown again.
* Thu Aug 30 2001 pblahos@suse.cz
- libycp-devel added to needforbuild. Needed for testsuite.
* Mon Aug 27 2001 pblahos@suse.cz
- Fixed test suites due new yast2-lib-printer
* Thu Aug 23 2001 pblahos@suse.cz
- Fixed some texts.
- Faster saving. Permitions of apsfilterrc_* files are changed at
  the end.
* Fri Aug 17 2001 pblahos@suse.cz
- fileexist replaced by SCR::Read(.target.size)!=-1
* Mon Aug 13 2001 pblahos@suse.cz
- Replaced spaces by tabs.
- UI (`...) changed to UI:: and SCR (`...) changed to SCR::...
- Removed usbmgr dependencies.
* Thu Aug  9 2001 pblahos@suse.cz
- Write modules optimized.
- Uses runlevel_adjust for adjusting lpd service startup.
- When [Finish] is pressed printconf always saves at least empty
  printcap. It allows lprng to run.
- Closes dialog when leaving printconf.
- Back works properly on screen with autoconfigured printers.
- Test button on screen with autoconfigured printer works.
- lprng will be default spooler. Hence when switching print spooler
  to LPD, lprng is installed.
* Thu Aug  2 2001 pblahos@suse.cz
- Removed some unnecessarry functions.
- Uses ui/wizard_hw to create dialog with list of configured printers.
- Test suites work again.
* Mon Jul 30 2001 pblahos@suse.cz
- Many fixes because new YaST2 libs.
- Glyph BulletArrowRight now points at the default queue.
- Sample command on postscript testpage always contains queue name
  (Bug 9510)
* Fri Jul 27 2001 pblahos@suse.cz
- Texts proof-read.
- New workflow for autodetected printers.
- No automatic network lookup. Now there is button Lookup (bug 9201)
* Mon Jul 23 2001 pblahos@suse.cz
- Works with new YaST2 libs
- #9016: added keyboard shortcuts to some labels.
* Tue Jun 12 2001 pblahos@suse.cz
- Removed wrappers that work around textdomain in includes problem.
- Abort button disabled during startup of module.
- Using functions for test page preparation from yast2-lib-printer
- #8330: removed error records from y2log.
- ps test page does not need to be resized.
- Using smb printers detection routines from yast2-lib-printer. Now
  only hosts with smb are offered. Button Get queues works.
- Using printer detection routines from yast2-lib-printer
* Mon May  7 2001 pblahos@suse.cz
- #7688: Textdomain is set before calling functions included from other
  packages. (also related to #7700)
- #7701: manually configured printers were not shown in summary screen.
* Fri May  4 2001 pblahos@suse.cz
- #7650: There are again newlines in /etc/printcap after printer was
  edited.
- Ascii print features dialog fix: if test was pressed than any radio
  button or checkbox generated test.
- #7330: Cancel buttons renamed to Back
* Mon Apr 30 2001 pblahos@suse.cz
- '+' is allowed in 1284 id. Needed for proper autodetection of
  some printers.
* Fri Apr 27 2001 pblahos@suse.cz
- Removed parallel port detection. (See #6239, #7143)
- Accepts .nodetection argument to skip autodetection of printers
  and parallel ports.
- Fixes in summary module.
- Fixes in USB Epson Stylus detection.
- Requires translation package.
* Tue Apr 24 2001 pblahos@suse.cz
- Testpage prints again for edited printer
- Starts usbmgr if it does not run.
- Reloading parport_probe before printer detection.
- Added quotes to script that prepares testpage. It is not necessarry
  here but for case.
- Changed detection of parallel ports--uses lib-printer.
* Fri Apr 20 2001 pblahos@suse.cz
- Removed isnil
- Removed ' in .target.bash calls.
- #7039: there were badly quoted entries in /etc/apsfilterrc.y2prn*
- #7038: fixed help texts relevant to quick setup changed:
    configured queue need not be necessarry monochrome
* Thu Apr 19 2001 ro@suse.de
- isnil fix
* Wed Apr 18 2001 pblahos@suse.cz
- make check is made during autobuild.
- Calls escputils to get correct model name for USB Epsons.
- Fixed bad parameters passed to define AnyQuestionPopup.
- Removed .target.bas_background because of fixed target agent.
- Restarting of daemons changed to stop/start from restart.
* Tue Apr 17 2001 pblahos@suse.cz
- Main dialog is closed before return.
- Summary module implemented.
- Menuentry moved from Hardware to Misc.
- Does not create unnecessary /usr/lib/YaST2/bin
- Does not require aps, netcat.
- Check for root is performed when printconf is started.
- If cups is installed, uninstallation of cups and installation of
  lprold is supplied to user.
* Fri Apr  6 2001 pblahos@suse.cz
- This package requires y2l_printer.
- Test pages moved to y2l_printer.
- Functions for testing connection moved to y2l_printer.
- Fixed bug in apsfilterrc patching.
- When default printer is removed, PRINTER is set to ""
- Used any agent to modify /etc/usbmgr/preload.conf
- Main page of edited printer shows current values.
- Default queue name for autoconfigured printer is lp or printerX.
  (request from jsmeix)
* Thu Mar 29 2001 pblahos@suse.cz
- Install documenatation to /usr/share/doc/$RPMNAME
- #6678: Adding printer works also if there are more printers with the
  same name in /etc/printcap
- Installs client scripts to client_non_y2.
- New libycp compilant.
* Mon Mar 26 2001 pblahos@suse.cz
- Proof-read.
* Thu Mar 22 2001 pblahos@suse.cz
- Edit printer screen has preview values.
- When there is no default printer, first added printer becomes default.
- Helptexts updated.
* Wed Mar 21 2001 ro@suse.de
- re-added Build-Arch noarch to specfile
* Wed Mar 21 2001 pblahos@suse.cz
- Changes in workflow for autodetected printers.
- Selection of connection is not popup but in-wizard dialog.
* Wed Mar 14 2001 pblahos@suse.cz
- Every printer connection can be edited.
- Uses wizard library for main dialog.
- Uses .target.control.printer_reset -> package is noarch.
* Wed Mar  7 2001 pblahos@suse.cz
- Package renamed from y2c_prnt to yast2-config-printer
- It is possible to edit connection settings for some printers.
- #5443: workflow improved: when no printer is configured, printconf starts
  with question: do you want to configure new printer manually?
- Files related to deleted printers are removed.
- Printers can be renamed.
- Manufacturer/model can be changed.
- Help texts improved.
- Changes in upp files made outside of printconf are not killed (replaced)
  by printconf. User is asked if he wants to keep changes or edit settings
  (and kill changes).
- #5598: text explains that lp<number> name for printer is forbidden.
- #5142: better message when there is problem with remote printer (lpd).
- Added progress bar when saving.
- Changed dialog for choosing connection type.
- Added progress bar for initialization.
- Speed optimalization: printers db/macros are global variables.
  They are never passed as functions arguments.
- Speed optimalization: process of localization of printers db
  changed. Now only manuf/model names and comments are translated.
- Speed optimalization: manufacturer names from printers db are
  cached in array. Selection of manufacturers is created faster.
- Speed optimalization: indexes are used as ids in manufacturer/
  model selection.
- Depended options (suboptions) are indented in selection.
- Tag documented_7_1 (changes below).
- Documentation complete.
- Coding rules applied.
- Testsuites implemented.
- #6291: setting permitions of /etc/printcap to 0644, so everyone
  can read it.
* Mon Jan 22 2001 pblahos@suse.cz
- Button (Finish|Next) is always focused.
* Thu Jan 18 2001 pblahos@suse.cz
- Ascii testpage improved. Now it contains some ISO-8859-[1|2] characters
* Wed Jan 17 2001 pblahos@suse.cz
- #5271: does not call anyagent read if unique.inf does not exist
- #5781: invalid initial value nil for apsfilterrc fixed
- added some comments for translators
- skip in autodetected printers works even if there are more printers
* Mon Jan 15 2001 pblahos@suse.cz
- There is not needed to press back twice in autodetected printer screen
  to quit.
- #5593: yast2 does not offer autoconfiguration of GDI printers.  Dialog
  with printer comment is poped up and next is disabled.
- #5596: list of available parports is taken from /proc/parport again.
  .probe.byclass.comm.par did not return all ports always. Same change
  was done for serial ports.
- #5611: parallel ports additional to that autodetected  by .probe.byclass.comm.par
  are not deleted from modules.conf. It made problem to PCI parport cards.
- #5598: printer name must not be lp<number>
- length of name of ascii printer is checked (must be less then 20)
- added some comments for translators
* Thu Jan 11 2001 pblahos@suse.de
- added full path to commands on .target.bash
- removed writting START_USB to rc.config (usbmgr is started always)
- removed writting printer to rc.config.d/usb.rc.config (obsoleted)
- write printer to /etc/usbmgr/preload.conf iff there is usb printer
* Thu Jan 11 2001 pblahos@suse.de
- #5443: partially fixed: items in selection of devices are reordered so
    as parallel is first. First item is selected by default.
* Wed Jan 10 2001 pblahos@suse.cz
- add init strings for Epson USB printers into /etc/apsfilter.. RESET_BEFORE
- delete old apsfilter... before creating new for new printer
- #5443:when no printer is configured nor autodetected, dialog for choosing
    printer type is popped
* Tue Jan  9 2001 pblahos@suse.cz
- #5271: calls select iff list is not empty, nor nil (does not call select([],0))
- #5269: Trans was enhanced to accept locale, which can appeas in printers.ycp
* Fri Jan  5 2001 pblahos@suse.cz
- #5147: /sbin/SuSEconfig call improved
- #5143: print test page when creating prefilter queue with "create new tcpip fwd. queue" now works
- unique keys are saved iff Finish is pressed, not when printing test page.
- if /etc/printcap does not exist, it is created when backing up (printconf_backup)
- depended options fixed: when there was no defaultindex, options may have saved incorrectly
* Tue Jan  2 2001 pblahos@suse.cz
- uses .probe.byclass.comm.par to read correct parport settings
- when saving, writes correct parport settings to modules.conf (.modules.options)
- reads available parallel/serial ports from .probe.byclass.comm.<par|ser>
* Thu Dec 28 2000 pblahos@suse.cz
- Button Edit is disabled for tcpip fwd queue and for printers that were not configured with yast2.
- Already configured autodetected printers are not offered again. (uses unique_key and .var.lib.yast.unique)
- First printer does not need be "lp", name for ascii printing is always <name>-ascii. (according to new apsfilter)
- Printer name must not contain '-'
- When editing printer name, ascii name is updated immediately.
* Fri Dec 22 2000 pblahos@suse.cz
- Depended options fixed by indexing.
- *y2bak files do not retain in /etc.
* Tue Dec 19 2000 kendy@suse.cz
- #4842: Disable the [Info] button if there is no info available
- #4539: Improved information about non-presence in the database
* Mon Dec 18 2000 kendy@suse.cz
- Bugfix #4019
- [Test] not allowed for Samba/Windows and Novell
- No need to press [Ok] to begin testing Remote or Prefilter
* Wed Dec 13 2000 mike@suse.de
- new menuentry file
* Tue Dec 12 2000 kendy@suse.cz
- new menuentry
- /etc/init.d/usb is wrong, changed to /etc/init.d/usbmgr
- Read(.target.tmpdir) instead of /tmp
- testsuite with the first simple test
  ver. 2.1.7
* Fri Dec  8 2000 kendy@suse.cz
- All /sbin/init.d changed to /etc/init.d
* Thu Dec  7 2000 arvin@suse.de
- fix double quoted symbol
* Wed Dec  6 2000 kendy@suse.cz
- YaST2/include/printconf* to the package
  ver 2.1.4
* Wed Dec  6 2000 kendy@suse.cz
- .bz2 instead of the .gz
  ver 2.1.3
* Tue Dec  5 2000 kendy@suse.cz
- Requires: y2d_prnt aps netcat
- printconf_write_printer.ycp renamed to printconf_write.ycp
- .target agent is used instead of Shell, ReadY2, ...
- changes in the layout (the main and the hw indep. settings screens)
- bugfix in choosing the hostname for the printer
  ver. 2.1.2
* Tue Nov 28 2000 kendy@suse.cz
- Some bugfixes (name for TCP/IP forwarding queue, ...)
- Layout changed according to the sigi's recommendition
  ver. 2.1.1
* Tue Nov  7 2000 kendy@suse.cz
- Deleting
- Editing
- Setting as default
- Prefilter queues
- Serial printers
- Hardware independent settings (pages per sheet, encoding)
- Ascii test page
  ver. 2.1.0
* Mon Jul 24 2000 kendy@suse.cz
- Preselect the autodetected printer if the user chooses [manual]
- "Printer's settings" dialog: preselect the first option
  ver 2.0.11
* Wed Jul 19 2000 kendy@suse.cz
- Show OptionComments (if available for given option)
  ver. 2.0.10
* Tue Jul 11 2000 kendy@suse.cz
- Do not display manufacturer comment when clicked.
  ver. 2.0.9
* Fri Jun 30 2000 kendy@suse.cz
- Changes in buttons; comments in popups when a printer is selected.
* Thu Jun 29 2000 kkaempf@suse.de
- requires y2t_prnt
* Wed Jun 28 2000 kendy@suse.cz
- Bugfix in Aplying macros on autodetected printers.
  lpd restart before printing the testpage (needed for lprng)
* Mon Jun 26 2000 kkaempf@suse.de
- message changes
  version 2.0.6
* Thu Jun 22 2000 kendy@suse.cz
- Bugfixes in write of /etc/apsfilterrc.<samba/novell>
* Tue Jun 20 2000 kendy@suse.cz
- Bugfixes in dependent options and comparison of IEEE1284 strings.
* Mon Jun 19 2000 kendy@suse.cz
- Use of the comments in the database.
* Thu Jun  8 2000 kendy@suse.cz
- Samba & Novell printers
* Thu Jun  8 2000 kendy@suse.cz
- The structure of the database changed.
  printers.ycp -> printers.ycp & printer_macros.ycp
  Remote printers
  New screen layout
* Fri May 26 2000 schwab@suse.de
- Remove noarch.
* Fri May 19 2000 kkaempf@suse.de
- initial version
